
SELECT 'create,insert,drop Test: Start Testing Multi/POINT'; 
BEGIN;
	CREATE TABLE pgis_garden (gid serial);
	SELECT AddGeometryColumn('pgis_garden','the_geom',ST_SRID(the_geom),GeometryType(the_geom),ST_CoordDim(the_geom))
			FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo limit 1;
	SELECT AddGeometryColumn('pgis_garden','the_geom_multi',ST_SRID(the_geom),GeometryType(ST_Multi(the_geom)),ST_CoordDim(the_geom))
			FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo limit 1;
	INSERT INTO pgis_garden(the_geom, the_geom_multi)
	SELECT the_geom, ST_Multi(the_geom)
	FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;
	
	SELECT DropGeometryColumn ('pgis_garden','the_geom');
	SELECT DropGeometryTable ('pgis_garden');
COMMIT;
SELECT 'create,insert,drop Test: Start Testing Multi/POINT'; 
	
	
	
SELECT 'create,insert,drop Test: Start Testing Multi/LINESTRING'; 
BEGIN;
	CREATE TABLE pgis_garden (gid serial);
	SELECT AddGeometryColumn('pgis_garden','the_geom',ST_SRID(the_geom),GeometryType(the_geom),ST_CoordDim(the_geom))
			FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo limit 1;
	SELECT AddGeometryColumn('pgis_garden','the_geom_multi',ST_SRID(the_geom),GeometryType(ST_Multi(the_geom)),ST_CoordDim(the_geom))
			FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo limit 1;
	INSERT INTO pgis_garden(the_geom, the_geom_multi)
	SELECT the_geom, ST_Multi(the_geom)
	FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;
	
	SELECT DropGeometryColumn ('pgis_garden','the_geom');
	SELECT DropGeometryTable ('pgis_garden');
COMMIT;
SELECT 'create,insert,drop Test: Start Testing Multi/LINESTRING'; 
	
	
	
SELECT 'create,insert,drop Test: Start Testing Multi/POLYGON'; 
BEGIN;
	CREATE TABLE pgis_garden (gid serial);
	SELECT AddGeometryColumn('pgis_garden','the_geom',ST_SRID(the_geom),GeometryType(the_geom),ST_CoordDim(the_geom))
			FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo limit 1;
	SELECT AddGeometryColumn('pgis_garden','the_geom_multi',ST_SRID(the_geom),GeometryType(ST_Multi(the_geom)),ST_CoordDim(the_geom))
			FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo limit 1;
	INSERT INTO pgis_garden(the_geom, the_geom_multi)
	SELECT the_geom, ST_Multi(the_geom)
	FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;
	
	SELECT DropGeometryColumn ('pgis_garden','the_geom');
	SELECT DropGeometryTable ('pgis_garden');
COMMIT;
SELECT 'create,insert,drop Test: Start Testing Multi/POLYGON'; 
	
	
	
SELECT 'create,insert,drop Test: Start Testing Multi/POINTM'; 
BEGIN;
	CREATE TABLE pgis_garden (gid serial);
	SELECT AddGeometryColumn('pgis_garden','the_geom',ST_SRID(the_geom),GeometryType(the_geom),ST_CoordDim(the_geom))
			FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo limit 1;
	SELECT AddGeometryColumn('pgis_garden','the_geom_multi',ST_SRID(the_geom),GeometryType(ST_Multi(the_geom)),ST_CoordDim(the_geom))
			FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo limit 1;
	INSERT INTO pgis_garden(the_geom, the_geom_multi)
	SELECT the_geom, ST_Multi(the_geom)
	FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;
	
	SELECT DropGeometryColumn ('pgis_garden','the_geom');
	SELECT DropGeometryTable ('pgis_garden');
COMMIT;
SELECT 'create,insert,drop Test: Start Testing Multi/POINTM'; 
	
	
	
SELECT 'create,insert,drop Test: Start Testing Multi/LINESTRINGM'; 
BEGIN;
	CREATE TABLE pgis_garden (gid serial);
	SELECT AddGeometryColumn('pgis_garden','the_geom',ST_SRID(the_geom),GeometryType(the_geom),ST_CoordDim(the_geom))
			FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo limit 1;
	SELECT AddGeometryColumn('pgis_garden','the_geom_multi',ST_SRID(the_geom),GeometryType(ST_Multi(the_geom)),ST_CoordDim(the_geom))
			FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo limit 1;
	INSERT INTO pgis_garden(the_geom, the_geom_multi)
	SELECT the_geom, ST_Multi(the_geom)
	FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;
	
	SELECT DropGeometryColumn ('pgis_garden','the_geom');
	SELECT DropGeometryTable ('pgis_garden');
COMMIT;
SELECT 'create,insert,drop Test: Start Testing Multi/LINESTRINGM'; 
	
	
	
SELECT 'create,insert,drop Test: Start Testing Multi/POLYGONM'; 
BEGIN;
	CREATE TABLE pgis_garden (gid serial);
	SELECT AddGeometryColumn('pgis_garden','the_geom',ST_SRID(the_geom),GeometryType(the_geom),ST_CoordDim(the_geom))
			FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo limit 1;
	SELECT AddGeometryColumn('pgis_garden','the_geom_multi',ST_SRID(the_geom),GeometryType(ST_Multi(the_geom)),ST_CoordDim(the_geom))
			FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo limit 1;
	INSERT INTO pgis_garden(the_geom, the_geom_multi)
	SELECT the_geom, ST_Multi(the_geom)
	FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;
	
	SELECT DropGeometryColumn ('pgis_garden','the_geom');
	SELECT DropGeometryTable ('pgis_garden');
COMMIT;
SELECT 'create,insert,drop Test: Start Testing Multi/POLYGONM'; 
	
	
	
SELECT 'create,insert,drop Test: Start Testing Multi/POINT'; 
BEGIN;
	CREATE TABLE pgis_garden (gid serial);
	SELECT AddGeometryColumn('pgis_garden','the_geom',ST_SRID(the_geom),GeometryType(the_geom),ST_CoordDim(the_geom))
			FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo limit 1;
	SELECT AddGeometryColumn('pgis_garden','the_geom_multi',ST_SRID(the_geom),GeometryType(ST_Multi(the_geom)),ST_CoordDim(the_geom))
			FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo limit 1;
	INSERT INTO pgis_garden(the_geom, the_geom_multi)
	SELECT the_geom, ST_Multi(the_geom)
	FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;
	
	SELECT DropGeometryColumn ('pgis_garden','the_geom');
	SELECT DropGeometryTable ('pgis_garden');
COMMIT;
SELECT 'create,insert,drop Test: Start Testing Multi/POINT'; 
	
	
	
SELECT 'create,insert,drop Test: Start Testing Multi/LINESTRING'; 
BEGIN;
	CREATE TABLE pgis_garden (gid serial);
	SELECT AddGeometryColumn('pgis_garden','the_geom',ST_SRID(the_geom),GeometryType(the_geom),ST_CoordDim(the_geom))
			FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo limit 1;
	SELECT AddGeometryColumn('pgis_garden','the_geom_multi',ST_SRID(the_geom),GeometryType(ST_Multi(the_geom)),ST_CoordDim(the_geom))
			FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo limit 1;
	INSERT INTO pgis_garden(the_geom, the_geom_multi)
	SELECT the_geom, ST_Multi(the_geom)
	FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;
	
	SELECT DropGeometryColumn ('pgis_garden','the_geom');
	SELECT DropGeometryTable ('pgis_garden');
COMMIT;
SELECT 'create,insert,drop Test: Start Testing Multi/LINESTRING'; 
	
	
	
SELECT 'create,insert,drop Test: Start Testing Multi/POLYGON'; 
BEGIN;
	CREATE TABLE pgis_garden (gid serial);
	SELECT AddGeometryColumn('pgis_garden','the_geom',ST_SRID(the_geom),GeometryType(the_geom),ST_CoordDim(the_geom))
			FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo limit 1;
	SELECT AddGeometryColumn('pgis_garden','the_geom_multi',ST_SRID(the_geom),GeometryType(ST_Multi(the_geom)),ST_CoordDim(the_geom))
			FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo limit 1;
	INSERT INTO pgis_garden(the_geom, the_geom_multi)
	SELECT the_geom, ST_Multi(the_geom)
	FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;
	
	SELECT DropGeometryColumn ('pgis_garden','the_geom');
	SELECT DropGeometryTable ('pgis_garden');
COMMIT;
SELECT 'create,insert,drop Test: Start Testing Multi/POLYGON'; 
	
	
	
SELECT 'create,insert,drop Test: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN;
	CREATE TABLE pgis_garden (gid serial);
	SELECT AddGeometryColumn('pgis_garden','the_geom',ST_SRID(the_geom),GeometryType(the_geom),ST_CoordDim(the_geom))
			FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo limit 1;
	SELECT AddGeometryColumn('pgis_garden','the_geom_multi',ST_SRID(the_geom),GeometryType(ST_Multi(the_geom)),ST_CoordDim(the_geom))
			FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo limit 1;
	INSERT INTO pgis_garden(the_geom, the_geom_multi)
	SELECT the_geom, ST_Multi(the_geom)
	FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;
	
	SELECT DropGeometryColumn ('pgis_garden','the_geom');
	SELECT DropGeometryTable ('pgis_garden');
COMMIT;
SELECT 'create,insert,drop Test: Start Testing Multi/GEOMETRYCOLLECTION'; 
	
	
	
SELECT 'AddGeometryColumn PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'AddGeometryColumn LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'AddGeometryColumn PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'AddGeometryColumn PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'AddGeometryColumn LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'AddGeometryColumn PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'AddGeometryColumn PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'AddGeometryColumn LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'AddGeometryColumn PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'AddGeometryColumn GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'AddGeometryColumn PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'AddGeometryColumn LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'AddGeometryColumn PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'AddGeometryColumn PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'AddGeometryColumn LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'AddGeometryColumn PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'AddGeometryColumn PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'AddGeometryColumn LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'AddGeometryColumn PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'AddGeometryColumn GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'AddGeometryColumn PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'AddGeometryColumn LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'AddGeometryColumn PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'AddGeometryColumn PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'AddGeometryColumn LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'AddGeometryColumn PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'AddGeometryColumn PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'AddGeometryColumn LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'AddGeometryColumn PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'AddGeometryColumn GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT AddGeometryColumn('test', 'test', 'test', 'test', 4269, 'test', 5)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'AddGeometryColumn GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	SELECT  'Starting DisableLongTransactions()';BEGIN; 
SELECT  DisableLongTransactions();
COMMIT;
SELECT  'Ending DisableLongTransactions()';

SELECT 'DropGeometryColumn PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'DropGeometryColumn LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'DropGeometryColumn PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test')
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'DropGeometryColumn PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'DropGeometryColumn LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'DropGeometryColumn PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test')
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'DropGeometryColumn PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'DropGeometryColumn LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'DropGeometryColumn PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'DropGeometryColumn GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test')
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'DropGeometryColumn PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'DropGeometryColumn LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'DropGeometryColumn PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test')
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'DropGeometryColumn PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'DropGeometryColumn LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'DropGeometryColumn PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test')
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'DropGeometryColumn PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'DropGeometryColumn LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'DropGeometryColumn PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'DropGeometryColumn GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test')
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'DropGeometryColumn PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'DropGeometryColumn LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test', 'test')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'DropGeometryColumn PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test', 'test')
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'DropGeometryColumn PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'DropGeometryColumn LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test', 'test')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'DropGeometryColumn PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test', 'test')
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'DropGeometryColumn PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'DropGeometryColumn LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'DropGeometryColumn PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'DropGeometryColumn GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT DropGeometryColumn('test', 'test', 'test', 'test')
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryColumn GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'DropGeometryTable PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'DropGeometryTable LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'DropGeometryTable PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test')
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'DropGeometryTable PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'DropGeometryTable LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'DropGeometryTable PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test')
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'DropGeometryTable PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'DropGeometryTable LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'DropGeometryTable PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'DropGeometryTable GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test')
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'DropGeometryTable PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'DropGeometryTable LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test', 'test')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'DropGeometryTable PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test', 'test')
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'DropGeometryTable PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'DropGeometryTable LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test', 'test')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'DropGeometryTable PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test', 'test')
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'DropGeometryTable PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'DropGeometryTable LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'DropGeometryTable PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test', 'test')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'DropGeometryTable GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT DropGeometryTable('test', 'test', 'test')
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'DropGeometryTable GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	SELECT  'Starting EnableLongTransactions()';BEGIN; 
SELECT  EnableLongTransactions();
COMMIT;
SELECT  'Ending EnableLongTransactions()';

SELECT 'GeometryType PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT GeometryType(the_geom),
			GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'GeometryType PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'GeometryType LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT GeometryType(the_geom),
			GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'GeometryType LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'GeometryType PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT GeometryType(the_geom),
			GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'GeometryType PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'GeometryType PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT GeometryType(the_geom),
			GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'GeometryType PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'GeometryType LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT GeometryType(the_geom),
			GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'GeometryType LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'GeometryType PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT GeometryType(the_geom),
			GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'GeometryType PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'GeometryType PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT GeometryType(the_geom),
			GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'GeometryType PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'GeometryType LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT GeometryType(the_geom),
			GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'GeometryType LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'GeometryType PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT GeometryType(the_geom),
			GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'GeometryType PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'GeometryType GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT GeometryType(the_geom),
			GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'GeometryType GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	SELECT  'Starting Populate_Geometry_Columns()';BEGIN; 
SELECT  Populate_Geometry_Columns();
COMMIT;
SELECT  'Ending Populate_Geometry_Columns()';
SELECT  'Starting PostGIS_Full_Version()';BEGIN; 
SELECT  PostGIS_Full_Version();
COMMIT;
SELECT  'Ending PostGIS_Full_Version()';
SELECT  'Starting PostGIS_GEOS_Version()';BEGIN; 
SELECT  PostGIS_GEOS_Version();
COMMIT;
SELECT  'Ending PostGIS_GEOS_Version()';
SELECT  'Starting PostGIS_Lib_Build_Date()';BEGIN; 
SELECT  PostGIS_Lib_Build_Date();
COMMIT;
SELECT  'Ending PostGIS_Lib_Build_Date()';
SELECT  'Starting PostGIS_Lib_Version()';BEGIN; 
SELECT  PostGIS_Lib_Version();
COMMIT;
SELECT  'Ending PostGIS_Lib_Version()';
SELECT  'Starting PostGIS_PROJ_Version()';BEGIN; 
SELECT  PostGIS_PROJ_Version();
COMMIT;
SELECT  'Ending PostGIS_PROJ_Version()';
SELECT  'Starting PostGIS_Scripts_Build_Date()';BEGIN; 
SELECT  PostGIS_Scripts_Build_Date();
COMMIT;
SELECT  'Ending PostGIS_Scripts_Build_Date()';
SELECT  'Starting PostGIS_Scripts_Installed()';BEGIN; 
SELECT  PostGIS_Scripts_Installed();
COMMIT;
SELECT  'Ending PostGIS_Scripts_Installed()';
SELECT  'Starting PostGIS_Scripts_Released()';BEGIN; 
SELECT  PostGIS_Scripts_Released();
COMMIT;
SELECT  'Ending PostGIS_Scripts_Released()';
SELECT  'Starting PostGIS_Uses_Stats()';BEGIN; 
SELECT  PostGIS_Uses_Stats();
COMMIT;
SELECT  'Ending PostGIS_Uses_Stats()';
SELECT  'Starting PostGIS_Version()';BEGIN; 
SELECT  PostGIS_Version();
COMMIT;
SELECT  'Ending PostGIS_Version()';
SELECT  'Starting Probe_Geometry_Columns()';BEGIN; 
SELECT  Probe_Geometry_Columns();
COMMIT;
SELECT  'Ending Probe_Geometry_Columns()';

SELECT 'ST_Accum PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Accum(the_geom),
			ST_Accum(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Accum PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Accum LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Accum(the_geom),
			ST_Accum(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Accum LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Accum PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Accum(the_geom),
			ST_Accum(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Accum PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Accum PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Accum(the_geom),
			ST_Accum(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Accum PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Accum LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Accum(the_geom),
			ST_Accum(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Accum LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Accum PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Accum(the_geom),
			ST_Accum(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Accum PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Accum PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Accum(the_geom),
			ST_Accum(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Accum PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Accum LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Accum(the_geom),
			ST_Accum(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Accum LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Accum PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Accum(the_geom),
			ST_Accum(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Accum PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Accum GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Accum(the_geom),
			ST_Accum(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Accum GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AddBBox PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddBBox(the_geom)),
	ST_AsEWKT(ST_AddBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_AddBBox PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AddBBox LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddBBox(the_geom)),
	ST_AsEWKT(ST_AddBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AddBBox LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AddBBox PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddBBox(the_geom)),
	ST_AsEWKT(ST_AddBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_AddBBox PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AddBBox PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddBBox(the_geom)),
	ST_AsEWKT(ST_AddBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AddBBox PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AddBBox LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddBBox(the_geom)),
	ST_AsEWKT(ST_AddBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AddBBox LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AddBBox PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddBBox(the_geom)),
	ST_AsEWKT(ST_AddBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_AddBBox PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AddBBox PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddBBox(the_geom)),
	ST_AsEWKT(ST_AddBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AddBBox PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AddBBox LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddBBox(the_geom)),
	ST_AsEWKT(ST_AddBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AddBBox LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AddBBox PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddBBox(the_geom)),
	ST_AsEWKT(ST_AddBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AddBBox PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AddBBox GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddBBox(the_geom)),
	ST_AsEWKT(ST_AddBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_AddBBox GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AddPoint PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddPoint(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_AddPoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AddPoint PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AddPoint LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddPoint(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_AddPoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AddPoint LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AddPoint PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddPoint(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_AddPoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AddPoint PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AddPoint PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddPoint(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_AddPoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AddPoint PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AddPoint LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddPoint(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_AddPoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AddPoint LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AddPoint PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddPoint(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_AddPoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AddPoint PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AddPoint PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddPoint(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_AddPoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AddPoint PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AddPoint LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddPoint(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_AddPoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AddPoint LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AddPoint PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddPoint(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_AddPoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AddPoint PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AddPoint GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_AddPoint(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_AddPoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AddPoint GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Affine PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Affine LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Affine PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Affine PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Affine LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Affine PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Affine PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Affine LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Affine PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Affine GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Affine PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Affine LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Affine PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Affine PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Affine LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Affine PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Affine PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Affine LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Affine PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Affine GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Affine(foo1.the_geom, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Affine GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Area PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Area(the_geom),
			ST_Area(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Area PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Area LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Area(the_geom),
			ST_Area(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Area LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Area PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Area(the_geom),
			ST_Area(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Area PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Area PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Area(the_geom),
			ST_Area(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Area PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Area LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Area(the_geom),
			ST_Area(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Area LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Area PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Area(the_geom),
			ST_Area(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Area PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Area PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Area(the_geom),
			ST_Area(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Area PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Area LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Area(the_geom),
			ST_Area(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Area LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Area PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Area(the_geom),
			ST_Area(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Area PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Area GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Area(the_geom),
			ST_Area(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Area GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsBinary PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsBinary(the_geom),
			ST_AsBinary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_AsBinary PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsBinary LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsBinary(the_geom),
			ST_AsBinary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsBinary LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsBinary PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsBinary(the_geom),
			ST_AsBinary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_AsBinary PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsBinary PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsBinary(the_geom),
			ST_AsBinary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsBinary PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsBinary LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsBinary(the_geom),
			ST_AsBinary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsBinary LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsBinary PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsBinary(the_geom),
			ST_AsBinary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_AsBinary PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsBinary PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsBinary(the_geom),
			ST_AsBinary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsBinary PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsBinary LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsBinary(the_geom),
			ST_AsBinary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsBinary LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsBinary PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsBinary(the_geom),
			ST_AsBinary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsBinary PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsBinary GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsBinary(the_geom),
			ST_AsBinary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_AsBinary GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsBinary PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsBinary(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsBinary PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsBinary LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsBinary(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsBinary LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsBinary PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsBinary(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsBinary PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsBinary PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsBinary(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsBinary PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsBinary LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsBinary(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsBinary LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsBinary PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsBinary(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsBinary PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsBinary PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsBinary(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsBinary PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsBinary LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsBinary(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsBinary LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsBinary PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsBinary(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsBinary PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsBinary GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsBinary(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsBinary GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsEWKB PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKB(the_geom),
			ST_AsEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_AsEWKB PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsEWKB LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKB(the_geom),
			ST_AsEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsEWKB LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsEWKB PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKB(the_geom),
			ST_AsEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_AsEWKB PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsEWKB PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKB(the_geom),
			ST_AsEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsEWKB PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsEWKB LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKB(the_geom),
			ST_AsEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsEWKB LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsEWKB PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKB(the_geom),
			ST_AsEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_AsEWKB PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsEWKB PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKB(the_geom),
			ST_AsEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsEWKB PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsEWKB LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKB(the_geom),
			ST_AsEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsEWKB LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsEWKB PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKB(the_geom),
			ST_AsEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsEWKB PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsEWKB GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKB(the_geom),
			ST_AsEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_AsEWKB GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsEWKB PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsEWKB PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsEWKB LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsEWKB LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsEWKB PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsEWKB PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsEWKB PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsEWKB PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsEWKB LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsEWKB LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsEWKB PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsEWKB PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsEWKB PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsEWKB PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsEWKB LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsEWKB LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsEWKB PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsEWKB PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsEWKB GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsEWKB GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsEWKT PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(the_geom),
			ST_AsEWKT(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_AsEWKT PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsEWKT LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(the_geom),
			ST_AsEWKT(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsEWKT LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsEWKT PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(the_geom),
			ST_AsEWKT(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_AsEWKT PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsEWKT PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(the_geom),
			ST_AsEWKT(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsEWKT PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsEWKT LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(the_geom),
			ST_AsEWKT(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsEWKT LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsEWKT PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(the_geom),
			ST_AsEWKT(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_AsEWKT PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsEWKT PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(the_geom),
			ST_AsEWKT(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsEWKT PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsEWKT LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(the_geom),
			ST_AsEWKT(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsEWKT LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsEWKT PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(the_geom),
			ST_AsEWKT(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsEWKT PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsEWKT GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(the_geom),
			ST_AsEWKT(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_AsEWKT GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsGeoJSON PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(the_geom),
			ST_AsGeoJSON(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_AsGeoJSON PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsGeoJSON LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(the_geom),
			ST_AsGeoJSON(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsGeoJSON LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsGeoJSON PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(the_geom),
			ST_AsGeoJSON(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_AsGeoJSON PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsGeoJSON PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(the_geom),
			ST_AsGeoJSON(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsGeoJSON PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsGeoJSON LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(the_geom),
			ST_AsGeoJSON(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsGeoJSON LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsGeoJSON PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(the_geom),
			ST_AsGeoJSON(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_AsGeoJSON PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsGeoJSON PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(the_geom),
			ST_AsGeoJSON(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsGeoJSON PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsGeoJSON LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(the_geom),
			ST_AsGeoJSON(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsGeoJSON LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsGeoJSON PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(the_geom),
			ST_AsGeoJSON(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsGeoJSON PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsGeoJSON GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(the_geom),
			ST_AsGeoJSON(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_AsGeoJSON GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsGeoJSON PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsGeoJSON LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsGeoJSON PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsGeoJSON PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsGeoJSON LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsGeoJSON PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsGeoJSON PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsGeoJSON LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsGeoJSON PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsGeoJSON GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsGeoJSON PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsGeoJSON LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsGeoJSON PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsGeoJSON PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsGeoJSON LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsGeoJSON PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsGeoJSON PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsGeoJSON LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsGeoJSON PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsGeoJSON GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsGeoJSON(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGeoJSON GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsGML PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsGML(the_geom),
			ST_AsGML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_AsGML PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsGML LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsGML(the_geom),
			ST_AsGML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsGML LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsGML PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsGML(the_geom),
			ST_AsGML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_AsGML PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsGML PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsGML(the_geom),
			ST_AsGML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsGML PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsGML LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsGML(the_geom),
			ST_AsGML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsGML LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsGML PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsGML(the_geom),
			ST_AsGML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_AsGML PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsGML PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsGML(the_geom),
			ST_AsGML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsGML PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsGML LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsGML(the_geom),
			ST_AsGML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsGML LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsGML PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsGML(the_geom),
			ST_AsGML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsGML PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsGML GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsGML(the_geom),
			ST_AsGML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_AsGML GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsGML PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsGML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGML PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsGML LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsGML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGML LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsGML PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsGML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGML PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsGML PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsGML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGML PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsGML LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsGML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGML LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsGML PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsGML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGML PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsGML PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsGML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGML PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsGML LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsGML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGML LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsGML PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsGML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGML PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsGML GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsGML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsGML GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsHEXEWKB PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsHEXEWKB PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsHEXEWKB LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsHEXEWKB LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsHEXEWKB PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsHEXEWKB PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsHEXEWKB PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsHEXEWKB PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsHEXEWKB LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsHEXEWKB LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsHEXEWKB PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsHEXEWKB PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsHEXEWKB PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsHEXEWKB PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsHEXEWKB LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsHEXEWKB LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsHEXEWKB PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsHEXEWKB PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsHEXEWKB GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(foo1.the_geom,  
						'XDR'
					)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsHEXEWKB GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsHEXEWKB PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(the_geom),
			ST_AsHEXEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_AsHEXEWKB PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsHEXEWKB LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(the_geom),
			ST_AsHEXEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsHEXEWKB LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsHEXEWKB PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(the_geom),
			ST_AsHEXEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_AsHEXEWKB PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsHEXEWKB PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(the_geom),
			ST_AsHEXEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsHEXEWKB PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsHEXEWKB LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(the_geom),
			ST_AsHEXEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsHEXEWKB LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsHEXEWKB PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(the_geom),
			ST_AsHEXEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_AsHEXEWKB PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsHEXEWKB PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(the_geom),
			ST_AsHEXEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsHEXEWKB PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsHEXEWKB LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(the_geom),
			ST_AsHEXEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsHEXEWKB LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsHEXEWKB PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(the_geom),
			ST_AsHEXEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsHEXEWKB PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsHEXEWKB GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsHEXEWKB(the_geom),
			ST_AsHEXEWKB(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_AsHEXEWKB GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsKML PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsKML(the_geom),
			ST_AsKML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_AsKML PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsKML LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsKML(the_geom),
			ST_AsKML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsKML LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsKML PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsKML(the_geom),
			ST_AsKML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_AsKML PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsKML PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsKML(the_geom),
			ST_AsKML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsKML PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsKML LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsKML(the_geom),
			ST_AsKML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsKML LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsKML PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsKML(the_geom),
			ST_AsKML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_AsKML PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsKML PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsKML(the_geom),
			ST_AsKML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsKML PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsKML LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsKML(the_geom),
			ST_AsKML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsKML LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsKML PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsKML(the_geom),
			ST_AsKML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsKML PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsKML GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsKML(the_geom),
			ST_AsKML(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_AsKML GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsKML PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsKML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsKML PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsKML LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsKML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsKML LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsKML PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsKML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsKML PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsKML PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsKML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsKML PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsKML LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsKML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsKML LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsKML PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsKML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsKML PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsKML PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsKML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsKML PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsKML LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsKML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsKML LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsKML PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsKML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsKML PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsKML GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsKML(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsKML GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsSVG PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsSVG(the_geom),
			ST_AsSVG(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_AsSVG PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsSVG LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsSVG(the_geom),
			ST_AsSVG(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsSVG LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsSVG PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsSVG(the_geom),
			ST_AsSVG(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_AsSVG PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsSVG PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsSVG(the_geom),
			ST_AsSVG(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsSVG PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsSVG LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsSVG(the_geom),
			ST_AsSVG(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsSVG LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsSVG PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsSVG(the_geom),
			ST_AsSVG(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_AsSVG PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsSVG PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsSVG(the_geom),
			ST_AsSVG(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsSVG PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsSVG LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsSVG(the_geom),
			ST_AsSVG(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsSVG LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsSVG PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsSVG(the_geom),
			ST_AsSVG(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsSVG PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsSVG GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsSVG(the_geom),
			ST_AsSVG(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_AsSVG GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsSVG PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsSVG LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsSVG PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsSVG PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsSVG LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsSVG PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsSVG PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsSVG LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsSVG PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsSVG GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsSVG PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsSVG LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsSVG PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsSVG PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsSVG LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsSVG PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsSVG PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsSVG LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsSVG PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsSVG GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsSVG(foo1.the_geom, 5, 5)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_AsSVG GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_AsText PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsText(the_geom),
			ST_AsText(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_AsText PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsText LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsText(the_geom),
			ST_AsText(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsText LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsText PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsText(the_geom),
			ST_AsText(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_AsText PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsText PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsText(the_geom),
			ST_AsText(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsText PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_AsText LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsText(the_geom),
			ST_AsText(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_AsText LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_AsText PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsText(the_geom),
			ST_AsText(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_AsText PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_AsText PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsText(the_geom),
			ST_AsText(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsText PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_AsText LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsText(the_geom),
			ST_AsText(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_AsText LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_AsText PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsText(the_geom),
			ST_AsText(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_AsText PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_AsText GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsText(the_geom),
			ST_AsText(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_AsText GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Azimuth PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Azimuth(foo1.the_geom, foo2.the_geom),
			ST_Azimuth(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Azimuth PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Azimuth LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Azimuth(foo1.the_geom, foo2.the_geom),
			ST_Azimuth(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Azimuth LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Azimuth PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Azimuth(foo1.the_geom, foo2.the_geom),
			ST_Azimuth(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Azimuth PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Azimuth PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Azimuth(foo1.the_geom, foo2.the_geom),
			ST_Azimuth(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Azimuth PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Azimuth LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Azimuth(foo1.the_geom, foo2.the_geom),
			ST_Azimuth(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Azimuth LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Azimuth PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Azimuth(foo1.the_geom, foo2.the_geom),
			ST_Azimuth(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Azimuth PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Azimuth PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Azimuth(foo1.the_geom, foo2.the_geom),
			ST_Azimuth(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Azimuth PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Azimuth LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Azimuth(foo1.the_geom, foo2.the_geom),
			ST_Azimuth(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Azimuth LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Azimuth PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Azimuth(foo1.the_geom, foo2.the_geom),
			ST_Azimuth(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Azimuth PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Azimuth GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Azimuth(foo1.the_geom, foo2.the_geom),
			ST_Azimuth(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Azimuth GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Boundary PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Boundary(the_geom)),
	ST_AsEWKT(ST_Boundary(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Boundary PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Boundary LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Boundary(the_geom)),
	ST_AsEWKT(ST_Boundary(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Boundary LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Boundary PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Boundary(the_geom)),
	ST_AsEWKT(ST_Boundary(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Boundary PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Boundary PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Boundary(the_geom)),
	ST_AsEWKT(ST_Boundary(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Boundary PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Boundary LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Boundary(the_geom)),
	ST_AsEWKT(ST_Boundary(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Boundary LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Boundary PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Boundary(the_geom)),
	ST_AsEWKT(ST_Boundary(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Boundary PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Boundary PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Boundary(the_geom)),
	ST_AsEWKT(ST_Boundary(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Boundary PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Boundary LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Boundary(the_geom)),
	ST_AsEWKT(ST_Boundary(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Boundary LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Boundary PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Boundary(the_geom)),
	ST_AsEWKT(ST_Boundary(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Boundary PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Boundary GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Boundary(the_geom)),
	ST_AsEWKT(ST_Boundary(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Boundary GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Box2D PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Box2D(the_geom),
			ST_Box2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Box2D PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Box2D LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Box2D(the_geom),
			ST_Box2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Box2D LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Box2D PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Box2D(the_geom),
			ST_Box2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Box2D PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Box2D PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Box2D(the_geom),
			ST_Box2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Box2D PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Box2D LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Box2D(the_geom),
			ST_Box2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Box2D LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Box2D PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Box2D(the_geom),
			ST_Box2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Box2D PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Box2D PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Box2D(the_geom),
			ST_Box2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Box2D PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Box2D LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Box2D(the_geom),
			ST_Box2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Box2D LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Box2D PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Box2D(the_geom),
			ST_Box2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Box2D PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Box2D GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Box2D(the_geom),
			ST_Box2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Box2D GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Box3D PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Box3D(the_geom),
			ST_Box3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Box3D PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Box3D LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Box3D(the_geom),
			ST_Box3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Box3D LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Box3D PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Box3D(the_geom),
			ST_Box3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Box3D PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Box3D PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Box3D(the_geom),
			ST_Box3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Box3D PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Box3D LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Box3D(the_geom),
			ST_Box3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Box3D LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Box3D PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Box3D(the_geom),
			ST_Box3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Box3D PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Box3D PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Box3D(the_geom),
			ST_Box3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Box3D PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Box3D LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Box3D(the_geom),
			ST_Box3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Box3D LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Box3D PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Box3D(the_geom),
			ST_Box3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Box3D PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Box3D GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Box3D(the_geom),
			ST_Box3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Box3D GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Buffer PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Buffer LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Buffer PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Buffer PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Buffer LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Buffer PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Buffer PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Buffer LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Buffer PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Buffer GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Buffer PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Buffer LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5, 5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Buffer PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5, 5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Buffer PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Buffer LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5, 5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Buffer PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5, 5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Buffer PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Buffer LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Buffer PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Buffer GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Buffer(foo1.the_geom, 0.5, 5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Buffer GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_BuildArea PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_BuildArea(the_geom),
			ST_BuildArea(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_BuildArea PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_BuildArea LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_BuildArea(the_geom),
			ST_BuildArea(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_BuildArea LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_BuildArea PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_BuildArea(the_geom),
			ST_BuildArea(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_BuildArea PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_BuildArea PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_BuildArea(the_geom),
			ST_BuildArea(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_BuildArea PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_BuildArea LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_BuildArea(the_geom),
			ST_BuildArea(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_BuildArea LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_BuildArea PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_BuildArea(the_geom),
			ST_BuildArea(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_BuildArea PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_BuildArea PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_BuildArea(the_geom),
			ST_BuildArea(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_BuildArea PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_BuildArea LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_BuildArea(the_geom),
			ST_BuildArea(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_BuildArea LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_BuildArea PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_BuildArea(the_geom),
			ST_BuildArea(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_BuildArea PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_BuildArea GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_BuildArea(the_geom),
			ST_BuildArea(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_BuildArea GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Centroid PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Centroid(the_geom)),
	ST_AsEWKT(ST_Centroid(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Centroid PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Centroid LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Centroid(the_geom)),
	ST_AsEWKT(ST_Centroid(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Centroid LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Centroid PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Centroid(the_geom)),
	ST_AsEWKT(ST_Centroid(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Centroid PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Centroid PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Centroid(the_geom)),
	ST_AsEWKT(ST_Centroid(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Centroid PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Centroid LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Centroid(the_geom)),
	ST_AsEWKT(ST_Centroid(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Centroid LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Centroid PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Centroid(the_geom)),
	ST_AsEWKT(ST_Centroid(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Centroid PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Centroid PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Centroid(the_geom)),
	ST_AsEWKT(ST_Centroid(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Centroid PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Centroid LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Centroid(the_geom)),
	ST_AsEWKT(ST_Centroid(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Centroid LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Centroid PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Centroid(the_geom)),
	ST_AsEWKT(ST_Centroid(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Centroid PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Centroid GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Centroid(the_geom)),
	ST_AsEWKT(ST_Centroid(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Centroid GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Collect PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Collect PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Collect LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Collect LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Collect PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Collect PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Collect PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Collect PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Collect LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Collect LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Collect PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Collect PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Collect PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Collect PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Collect LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Collect LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Collect PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Collect PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Collect GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Collect GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Collect PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Collect PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Collect LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Collect LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Collect PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Collect PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Collect PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Collect PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Collect LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Collect LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Collect PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Collect PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Collect PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Collect PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Collect LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Collect LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Collect PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Collect PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Collect GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Collect(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Collect(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Collect GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Contains PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Contains(foo1.the_geom, foo2.the_geom),
			ST_Contains(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Contains PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Contains LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Contains(foo1.the_geom, foo2.the_geom),
			ST_Contains(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Contains LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Contains PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Contains(foo1.the_geom, foo2.the_geom),
			ST_Contains(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Contains PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Contains PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Contains(foo1.the_geom, foo2.the_geom),
			ST_Contains(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Contains PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Contains LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Contains(foo1.the_geom, foo2.the_geom),
			ST_Contains(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Contains LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Contains PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Contains(foo1.the_geom, foo2.the_geom),
			ST_Contains(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Contains PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Contains PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Contains(foo1.the_geom, foo2.the_geom),
			ST_Contains(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Contains PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Contains LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Contains(foo1.the_geom, foo2.the_geom),
			ST_Contains(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Contains LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Contains PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Contains(foo1.the_geom, foo2.the_geom),
			ST_Contains(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Contains PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Contains GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Contains(foo1.the_geom, foo2.the_geom),
			ST_Contains(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Contains GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_ConvexHull PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_ConvexHull(the_geom),
			ST_ConvexHull(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_ConvexHull PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_ConvexHull LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_ConvexHull(the_geom),
			ST_ConvexHull(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_ConvexHull LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_ConvexHull PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_ConvexHull(the_geom),
			ST_ConvexHull(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_ConvexHull PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_ConvexHull PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_ConvexHull(the_geom),
			ST_ConvexHull(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_ConvexHull PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_ConvexHull LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_ConvexHull(the_geom),
			ST_ConvexHull(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_ConvexHull LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_ConvexHull PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_ConvexHull(the_geom),
			ST_ConvexHull(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_ConvexHull PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_ConvexHull PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_ConvexHull(the_geom),
			ST_ConvexHull(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_ConvexHull PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_ConvexHull LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_ConvexHull(the_geom),
			ST_ConvexHull(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_ConvexHull LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_ConvexHull PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_ConvexHull(the_geom),
			ST_ConvexHull(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_ConvexHull PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_ConvexHull GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_ConvexHull(the_geom),
			ST_ConvexHull(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_ConvexHull GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_CoordDim PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_CoordDim(the_geom),
			ST_CoordDim(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_CoordDim PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_CoordDim LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_CoordDim(the_geom),
			ST_CoordDim(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_CoordDim LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_CoordDim PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_CoordDim(the_geom),
			ST_CoordDim(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_CoordDim PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_CoordDim PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_CoordDim(the_geom),
			ST_CoordDim(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_CoordDim PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_CoordDim LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_CoordDim(the_geom),
			ST_CoordDim(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_CoordDim LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_CoordDim PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_CoordDim(the_geom),
			ST_CoordDim(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_CoordDim PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_CoordDim PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_CoordDim(the_geom),
			ST_CoordDim(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_CoordDim PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_CoordDim LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_CoordDim(the_geom),
			ST_CoordDim(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_CoordDim LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_CoordDim PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_CoordDim(the_geom),
			ST_CoordDim(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_CoordDim PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_CoordDim GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_CoordDim(the_geom),
			ST_CoordDim(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_CoordDim GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_CoveredBy PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_CoveredBy(foo1.the_geom, foo2.the_geom),
			ST_CoveredBy(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_CoveredBy PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_CoveredBy LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_CoveredBy(foo1.the_geom, foo2.the_geom),
			ST_CoveredBy(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_CoveredBy LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_CoveredBy PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_CoveredBy(foo1.the_geom, foo2.the_geom),
			ST_CoveredBy(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_CoveredBy PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_CoveredBy PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_CoveredBy(foo1.the_geom, foo2.the_geom),
			ST_CoveredBy(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_CoveredBy PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_CoveredBy LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_CoveredBy(foo1.the_geom, foo2.the_geom),
			ST_CoveredBy(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_CoveredBy LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_CoveredBy PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_CoveredBy(foo1.the_geom, foo2.the_geom),
			ST_CoveredBy(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_CoveredBy PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_CoveredBy PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_CoveredBy(foo1.the_geom, foo2.the_geom),
			ST_CoveredBy(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_CoveredBy PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_CoveredBy LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_CoveredBy(foo1.the_geom, foo2.the_geom),
			ST_CoveredBy(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_CoveredBy LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_CoveredBy PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_CoveredBy(foo1.the_geom, foo2.the_geom),
			ST_CoveredBy(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_CoveredBy PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_CoveredBy GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_CoveredBy(foo1.the_geom, foo2.the_geom),
			ST_CoveredBy(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_CoveredBy GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Covers PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Covers(foo1.the_geom, foo2.the_geom),
			ST_Covers(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Covers PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Covers LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Covers(foo1.the_geom, foo2.the_geom),
			ST_Covers(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Covers LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Covers PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Covers(foo1.the_geom, foo2.the_geom),
			ST_Covers(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Covers PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Covers PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Covers(foo1.the_geom, foo2.the_geom),
			ST_Covers(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Covers PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Covers LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Covers(foo1.the_geom, foo2.the_geom),
			ST_Covers(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Covers LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Covers PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Covers(foo1.the_geom, foo2.the_geom),
			ST_Covers(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Covers PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Covers PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Covers(foo1.the_geom, foo2.the_geom),
			ST_Covers(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Covers PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Covers LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Covers(foo1.the_geom, foo2.the_geom),
			ST_Covers(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Covers LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Covers PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Covers(foo1.the_geom, foo2.the_geom),
			ST_Covers(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Covers PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Covers GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Covers(foo1.the_geom, foo2.the_geom),
			ST_Covers(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Covers GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Crosses PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Crosses(foo1.the_geom, foo2.the_geom),
			ST_Crosses(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Crosses PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Crosses LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Crosses(foo1.the_geom, foo2.the_geom),
			ST_Crosses(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Crosses LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Crosses PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Crosses(foo1.the_geom, foo2.the_geom),
			ST_Crosses(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Crosses PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Crosses PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Crosses(foo1.the_geom, foo2.the_geom),
			ST_Crosses(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Crosses PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Crosses LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Crosses(foo1.the_geom, foo2.the_geom),
			ST_Crosses(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Crosses LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Crosses PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Crosses(foo1.the_geom, foo2.the_geom),
			ST_Crosses(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Crosses PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Crosses PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Crosses(foo1.the_geom, foo2.the_geom),
			ST_Crosses(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Crosses PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Crosses LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Crosses(foo1.the_geom, foo2.the_geom),
			ST_Crosses(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Crosses LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Crosses PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Crosses(foo1.the_geom, foo2.the_geom),
			ST_Crosses(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Crosses PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Crosses GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Crosses(foo1.the_geom, foo2.the_geom),
			ST_Crosses(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Crosses GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Difference PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Difference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Difference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Difference PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Difference LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Difference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Difference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Difference LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Difference PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Difference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Difference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Difference PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Difference PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Difference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Difference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Difference PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Difference LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Difference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Difference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Difference LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Difference PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Difference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Difference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Difference PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Difference PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Difference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Difference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Difference PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Difference LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Difference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Difference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Difference LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Difference PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Difference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Difference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Difference PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Difference GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Difference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Difference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Difference GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Dimension PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Dimension(the_geom),
			ST_Dimension(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Dimension PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Dimension LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Dimension(the_geom),
			ST_Dimension(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Dimension LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Dimension PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Dimension(the_geom),
			ST_Dimension(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Dimension PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Dimension PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Dimension(the_geom),
			ST_Dimension(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Dimension PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Dimension LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Dimension(the_geom),
			ST_Dimension(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Dimension LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Dimension PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Dimension(the_geom),
			ST_Dimension(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Dimension PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Dimension PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Dimension(the_geom),
			ST_Dimension(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Dimension PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Dimension LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Dimension(the_geom),
			ST_Dimension(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Dimension LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Dimension PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Dimension(the_geom),
			ST_Dimension(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Dimension PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Dimension GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Dimension(the_geom),
			ST_Dimension(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Dimension GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Disjoint PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Disjoint(foo1.the_geom, foo2.the_geom),
			ST_Disjoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Disjoint PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Disjoint LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Disjoint(foo1.the_geom, foo2.the_geom),
			ST_Disjoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Disjoint LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Disjoint PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Disjoint(foo1.the_geom, foo2.the_geom),
			ST_Disjoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Disjoint PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Disjoint PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Disjoint(foo1.the_geom, foo2.the_geom),
			ST_Disjoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Disjoint PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Disjoint LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Disjoint(foo1.the_geom, foo2.the_geom),
			ST_Disjoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Disjoint LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Disjoint PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Disjoint(foo1.the_geom, foo2.the_geom),
			ST_Disjoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Disjoint PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Disjoint PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Disjoint(foo1.the_geom, foo2.the_geom),
			ST_Disjoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Disjoint PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Disjoint LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Disjoint(foo1.the_geom, foo2.the_geom),
			ST_Disjoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Disjoint LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Disjoint PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Disjoint(foo1.the_geom, foo2.the_geom),
			ST_Disjoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Disjoint PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Disjoint GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Disjoint(foo1.the_geom, foo2.the_geom),
			ST_Disjoint(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Disjoint GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Distance PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Distance(foo1.the_geom, foo2.the_geom),
			ST_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Distance LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Distance(foo1.the_geom, foo2.the_geom),
			ST_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Distance PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Distance(foo1.the_geom, foo2.the_geom),
			ST_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Distance PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Distance(foo1.the_geom, foo2.the_geom),
			ST_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Distance LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Distance(foo1.the_geom, foo2.the_geom),
			ST_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Distance PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Distance(foo1.the_geom, foo2.the_geom),
			ST_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Distance PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Distance(foo1.the_geom, foo2.the_geom),
			ST_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Distance LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Distance(foo1.the_geom, foo2.the_geom),
			ST_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Distance PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Distance(foo1.the_geom, foo2.the_geom),
			ST_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Distance GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Distance(foo1.the_geom, foo2.the_geom),
			ST_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Distance_Sphere PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Distance_Sphere(foo1.the_geom, foo2.the_geom),
			ST_Distance_Sphere(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance_Sphere PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Distance_Sphere LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Distance_Sphere(foo1.the_geom, foo2.the_geom),
			ST_Distance_Sphere(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance_Sphere LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Distance_Sphere PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Distance_Sphere(foo1.the_geom, foo2.the_geom),
			ST_Distance_Sphere(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance_Sphere PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Distance_Sphere PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Distance_Sphere(foo1.the_geom, foo2.the_geom),
			ST_Distance_Sphere(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance_Sphere PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Distance_Sphere LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Distance_Sphere(foo1.the_geom, foo2.the_geom),
			ST_Distance_Sphere(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance_Sphere LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Distance_Sphere PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Distance_Sphere(foo1.the_geom, foo2.the_geom),
			ST_Distance_Sphere(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance_Sphere PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Distance_Sphere PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Distance_Sphere(foo1.the_geom, foo2.the_geom),
			ST_Distance_Sphere(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance_Sphere PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Distance_Sphere LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Distance_Sphere(foo1.the_geom, foo2.the_geom),
			ST_Distance_Sphere(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance_Sphere LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Distance_Sphere PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Distance_Sphere(foo1.the_geom, foo2.the_geom),
			ST_Distance_Sphere(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance_Sphere PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Distance_Sphere GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Distance_Sphere(foo1.the_geom, foo2.the_geom),
			ST_Distance_Sphere(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Distance_Sphere GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_DropBBox PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_DropBBox(the_geom)),
	ST_AsEWKT(ST_DropBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_DropBBox PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_DropBBox LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_DropBBox(the_geom)),
	ST_AsEWKT(ST_DropBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_DropBBox LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_DropBBox PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_DropBBox(the_geom)),
	ST_AsEWKT(ST_DropBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_DropBBox PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_DropBBox PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_DropBBox(the_geom)),
	ST_AsEWKT(ST_DropBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_DropBBox PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_DropBBox LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_DropBBox(the_geom)),
	ST_AsEWKT(ST_DropBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_DropBBox LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_DropBBox PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_DropBBox(the_geom)),
	ST_AsEWKT(ST_DropBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_DropBBox PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_DropBBox PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_DropBBox(the_geom)),
	ST_AsEWKT(ST_DropBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_DropBBox PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_DropBBox LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_DropBBox(the_geom)),
	ST_AsEWKT(ST_DropBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_DropBBox LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_DropBBox PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_DropBBox(the_geom)),
	ST_AsEWKT(ST_DropBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_DropBBox PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_DropBBox GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_DropBBox(the_geom)),
	ST_AsEWKT(ST_DropBBox(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_DropBBox GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Dump PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Dump(the_geom),
			ST_Dump(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Dump PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Dump LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Dump(the_geom),
			ST_Dump(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Dump LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Dump PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Dump(the_geom),
			ST_Dump(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Dump PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Dump PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Dump(the_geom),
			ST_Dump(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Dump PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Dump LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Dump(the_geom),
			ST_Dump(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Dump LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Dump PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Dump(the_geom),
			ST_Dump(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Dump PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Dump PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Dump(the_geom),
			ST_Dump(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Dump PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Dump LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Dump(the_geom),
			ST_Dump(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Dump LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Dump PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Dump(the_geom),
			ST_Dump(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Dump PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Dump GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Dump(the_geom),
			ST_Dump(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Dump GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_DumpRings PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_DumpRings(the_geom),
			ST_DumpRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_DumpRings PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_DumpRings LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_DumpRings(the_geom),
			ST_DumpRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_DumpRings LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_DumpRings PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_DumpRings(the_geom),
			ST_DumpRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_DumpRings PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_DumpRings PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_DumpRings(the_geom),
			ST_DumpRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_DumpRings PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_DumpRings LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_DumpRings(the_geom),
			ST_DumpRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_DumpRings LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_DumpRings PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_DumpRings(the_geom),
			ST_DumpRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_DumpRings PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_DumpRings PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_DumpRings(the_geom),
			ST_DumpRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_DumpRings PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_DumpRings LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_DumpRings(the_geom),
			ST_DumpRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_DumpRings LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_DumpRings PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_DumpRings(the_geom),
			ST_DumpRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_DumpRings PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_DumpRings GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_DumpRings(the_geom),
			ST_DumpRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_DumpRings GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_EndPoint PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_EndPoint(the_geom),
			ST_EndPoint(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_EndPoint PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_EndPoint LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_EndPoint(the_geom),
			ST_EndPoint(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_EndPoint LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_EndPoint PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_EndPoint(the_geom),
			ST_EndPoint(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_EndPoint PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_EndPoint PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_EndPoint(the_geom),
			ST_EndPoint(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_EndPoint PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_EndPoint LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_EndPoint(the_geom),
			ST_EndPoint(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_EndPoint LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_EndPoint PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_EndPoint(the_geom),
			ST_EndPoint(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_EndPoint PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_EndPoint PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_EndPoint(the_geom),
			ST_EndPoint(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_EndPoint PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_EndPoint LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_EndPoint(the_geom),
			ST_EndPoint(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_EndPoint LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_EndPoint PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_EndPoint(the_geom),
			ST_EndPoint(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_EndPoint PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_EndPoint GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_EndPoint(the_geom),
			ST_EndPoint(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_EndPoint GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Envelope PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Envelope(the_geom),
			ST_Envelope(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Envelope PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Envelope LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Envelope(the_geom),
			ST_Envelope(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Envelope LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Envelope PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Envelope(the_geom),
			ST_Envelope(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Envelope PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Envelope PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Envelope(the_geom),
			ST_Envelope(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Envelope PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Envelope LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Envelope(the_geom),
			ST_Envelope(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Envelope LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Envelope PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Envelope(the_geom),
			ST_Envelope(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Envelope PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Envelope PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Envelope(the_geom),
			ST_Envelope(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Envelope PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Envelope LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Envelope(the_geom),
			ST_Envelope(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Envelope LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Envelope PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Envelope(the_geom),
			ST_Envelope(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Envelope PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Envelope GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Envelope(the_geom),
			ST_Envelope(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Envelope GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Equals PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Equals(foo1.the_geom, foo2.the_geom),
			ST_Equals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Equals PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Equals LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Equals(foo1.the_geom, foo2.the_geom),
			ST_Equals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Equals LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Equals PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Equals(foo1.the_geom, foo2.the_geom),
			ST_Equals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Equals PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Equals PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Equals(foo1.the_geom, foo2.the_geom),
			ST_Equals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Equals PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Equals LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Equals(foo1.the_geom, foo2.the_geom),
			ST_Equals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Equals LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Equals PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Equals(foo1.the_geom, foo2.the_geom),
			ST_Equals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Equals PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Equals PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Equals(foo1.the_geom, foo2.the_geom),
			ST_Equals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Equals PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Equals LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Equals(foo1.the_geom, foo2.the_geom),
			ST_Equals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Equals LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Equals PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Equals(foo1.the_geom, foo2.the_geom),
			ST_Equals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Equals PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Equals GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Equals(foo1.the_geom, foo2.the_geom),
			ST_Equals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Equals GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Expand PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Expand(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Expand LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Expand(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Expand PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Expand(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Expand PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Expand(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Expand LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Expand(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Expand PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Expand(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Expand PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Expand(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Expand LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Expand(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Expand PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Expand(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Expand GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Expand(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Expand PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Expand LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Expand PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Expand PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Expand LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Expand PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Expand PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Expand LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Expand PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Expand GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Expand PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Expand LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Expand PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Expand PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Expand LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Expand PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Expand PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Expand LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Expand PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Expand GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Expand(foo1.the_geom, 0.5)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Expand GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Extent PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Extent(the_geom),
			ST_Extent(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Extent PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Extent LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Extent(the_geom),
			ST_Extent(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Extent LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Extent PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Extent(the_geom),
			ST_Extent(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Extent PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Extent PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Extent(the_geom),
			ST_Extent(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Extent PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Extent LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Extent(the_geom),
			ST_Extent(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Extent LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Extent PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Extent(the_geom),
			ST_Extent(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Extent PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Extent PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Extent(the_geom),
			ST_Extent(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Extent PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Extent LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Extent(the_geom),
			ST_Extent(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Extent LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Extent PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Extent(the_geom),
			ST_Extent(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Extent PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Extent GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Extent(the_geom),
			ST_Extent(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Extent GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_ExteriorRing PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_ExteriorRing(the_geom)),
	ST_AsEWKT(ST_ExteriorRing(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_ExteriorRing PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_ExteriorRing LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_ExteriorRing(the_geom)),
	ST_AsEWKT(ST_ExteriorRing(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_ExteriorRing LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_ExteriorRing PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_ExteriorRing(the_geom)),
	ST_AsEWKT(ST_ExteriorRing(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_ExteriorRing PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_ExteriorRing PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_ExteriorRing(the_geom)),
	ST_AsEWKT(ST_ExteriorRing(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_ExteriorRing PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_ExteriorRing LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_ExteriorRing(the_geom)),
	ST_AsEWKT(ST_ExteriorRing(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_ExteriorRing LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_ExteriorRing PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_ExteriorRing(the_geom)),
	ST_AsEWKT(ST_ExteriorRing(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_ExteriorRing PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_ExteriorRing PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_ExteriorRing(the_geom)),
	ST_AsEWKT(ST_ExteriorRing(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_ExteriorRing PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_ExteriorRing LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_ExteriorRing(the_geom)),
	ST_AsEWKT(ST_ExteriorRing(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_ExteriorRing LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_ExteriorRing PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_ExteriorRing(the_geom)),
	ST_AsEWKT(ST_ExteriorRing(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_ExteriorRing PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_ExteriorRing GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_ExteriorRing(the_geom)),
	ST_AsEWKT(ST_ExteriorRing(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_ExteriorRing GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Force_2D PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_2D(the_geom)),
	ST_AsEWKT(ST_Force_2D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Force_2D PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Force_2D LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_2D(the_geom)),
	ST_AsEWKT(ST_Force_2D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Force_2D LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Force_2D PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_2D(the_geom)),
	ST_AsEWKT(ST_Force_2D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Force_2D PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Force_2D PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_2D(the_geom)),
	ST_AsEWKT(ST_Force_2D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Force_2D PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Force_2D LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_2D(the_geom)),
	ST_AsEWKT(ST_Force_2D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Force_2D LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Force_2D PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_2D(the_geom)),
	ST_AsEWKT(ST_Force_2D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Force_2D PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Force_2D PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_2D(the_geom)),
	ST_AsEWKT(ST_Force_2D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Force_2D PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Force_2D LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_2D(the_geom)),
	ST_AsEWKT(ST_Force_2D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Force_2D LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Force_2D PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_2D(the_geom)),
	ST_AsEWKT(ST_Force_2D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Force_2D PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Force_2D GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_2D(the_geom)),
	ST_AsEWKT(ST_Force_2D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Force_2D GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Force_3D PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3D(the_geom)),
	ST_AsEWKT(ST_Force_3D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Force_3D PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Force_3D LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3D(the_geom)),
	ST_AsEWKT(ST_Force_3D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Force_3D LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Force_3D PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3D(the_geom)),
	ST_AsEWKT(ST_Force_3D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Force_3D PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Force_3D PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3D(the_geom)),
	ST_AsEWKT(ST_Force_3D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Force_3D PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Force_3D LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3D(the_geom)),
	ST_AsEWKT(ST_Force_3D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Force_3D LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Force_3D PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3D(the_geom)),
	ST_AsEWKT(ST_Force_3D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Force_3D PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Force_3D PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3D(the_geom)),
	ST_AsEWKT(ST_Force_3D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Force_3D PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Force_3D LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3D(the_geom)),
	ST_AsEWKT(ST_Force_3D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Force_3D LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Force_3D PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3D(the_geom)),
	ST_AsEWKT(ST_Force_3D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Force_3D PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Force_3D GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3D(the_geom)),
	ST_AsEWKT(ST_Force_3D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Force_3D GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Force_3DM PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DM(the_geom)),
	ST_AsEWKT(ST_Force_3DM(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Force_3DM PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Force_3DM LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DM(the_geom)),
	ST_AsEWKT(ST_Force_3DM(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Force_3DM LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Force_3DM PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DM(the_geom)),
	ST_AsEWKT(ST_Force_3DM(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Force_3DM PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Force_3DM PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DM(the_geom)),
	ST_AsEWKT(ST_Force_3DM(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Force_3DM PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Force_3DM LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DM(the_geom)),
	ST_AsEWKT(ST_Force_3DM(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Force_3DM LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Force_3DM PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DM(the_geom)),
	ST_AsEWKT(ST_Force_3DM(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Force_3DM PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Force_3DM PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DM(the_geom)),
	ST_AsEWKT(ST_Force_3DM(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Force_3DM PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Force_3DM LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DM(the_geom)),
	ST_AsEWKT(ST_Force_3DM(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Force_3DM LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Force_3DM PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DM(the_geom)),
	ST_AsEWKT(ST_Force_3DM(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Force_3DM PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Force_3DM GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DM(the_geom)),
	ST_AsEWKT(ST_Force_3DM(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Force_3DM GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Force_3DZ PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DZ(the_geom)),
	ST_AsEWKT(ST_Force_3DZ(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Force_3DZ PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Force_3DZ LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DZ(the_geom)),
	ST_AsEWKT(ST_Force_3DZ(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Force_3DZ LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Force_3DZ PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DZ(the_geom)),
	ST_AsEWKT(ST_Force_3DZ(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Force_3DZ PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Force_3DZ PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DZ(the_geom)),
	ST_AsEWKT(ST_Force_3DZ(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Force_3DZ PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Force_3DZ LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DZ(the_geom)),
	ST_AsEWKT(ST_Force_3DZ(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Force_3DZ LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Force_3DZ PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DZ(the_geom)),
	ST_AsEWKT(ST_Force_3DZ(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Force_3DZ PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Force_3DZ PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DZ(the_geom)),
	ST_AsEWKT(ST_Force_3DZ(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Force_3DZ PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Force_3DZ LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DZ(the_geom)),
	ST_AsEWKT(ST_Force_3DZ(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Force_3DZ LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Force_3DZ PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DZ(the_geom)),
	ST_AsEWKT(ST_Force_3DZ(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Force_3DZ PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Force_3DZ GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_3DZ(the_geom)),
	ST_AsEWKT(ST_Force_3DZ(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Force_3DZ GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Force_4D PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_4D(the_geom)),
	ST_AsEWKT(ST_Force_4D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Force_4D PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Force_4D LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_4D(the_geom)),
	ST_AsEWKT(ST_Force_4D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Force_4D LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Force_4D PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_4D(the_geom)),
	ST_AsEWKT(ST_Force_4D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Force_4D PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Force_4D PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_4D(the_geom)),
	ST_AsEWKT(ST_Force_4D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Force_4D PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Force_4D LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_4D(the_geom)),
	ST_AsEWKT(ST_Force_4D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Force_4D LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Force_4D PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_4D(the_geom)),
	ST_AsEWKT(ST_Force_4D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Force_4D PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Force_4D PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_4D(the_geom)),
	ST_AsEWKT(ST_Force_4D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Force_4D PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Force_4D LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_4D(the_geom)),
	ST_AsEWKT(ST_Force_4D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Force_4D LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Force_4D PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_4D(the_geom)),
	ST_AsEWKT(ST_Force_4D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Force_4D PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Force_4D GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_4D(the_geom)),
	ST_AsEWKT(ST_Force_4D(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Force_4D GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Force_Collection PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_Collection(the_geom)),
	ST_AsEWKT(ST_Force_Collection(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Force_Collection PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Force_Collection LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_Collection(the_geom)),
	ST_AsEWKT(ST_Force_Collection(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Force_Collection LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Force_Collection PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_Collection(the_geom)),
	ST_AsEWKT(ST_Force_Collection(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Force_Collection PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Force_Collection PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_Collection(the_geom)),
	ST_AsEWKT(ST_Force_Collection(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Force_Collection PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Force_Collection LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_Collection(the_geom)),
	ST_AsEWKT(ST_Force_Collection(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Force_Collection LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Force_Collection PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_Collection(the_geom)),
	ST_AsEWKT(ST_Force_Collection(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Force_Collection PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Force_Collection PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_Collection(the_geom)),
	ST_AsEWKT(ST_Force_Collection(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Force_Collection PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Force_Collection LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_Collection(the_geom)),
	ST_AsEWKT(ST_Force_Collection(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Force_Collection LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Force_Collection PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_Collection(the_geom)),
	ST_AsEWKT(ST_Force_Collection(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Force_Collection PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Force_Collection GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Force_Collection(the_geom)),
	ST_AsEWKT(ST_Force_Collection(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Force_Collection GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_ForceRHR PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_ForceRHR(the_geom),
			ST_ForceRHR(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_ForceRHR PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_ForceRHR LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_ForceRHR(the_geom),
			ST_ForceRHR(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_ForceRHR LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_ForceRHR PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_ForceRHR(the_geom),
			ST_ForceRHR(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_ForceRHR PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_ForceRHR PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_ForceRHR(the_geom),
			ST_ForceRHR(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_ForceRHR PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_ForceRHR LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_ForceRHR(the_geom),
			ST_ForceRHR(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_ForceRHR LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_ForceRHR PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_ForceRHR(the_geom),
			ST_ForceRHR(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_ForceRHR PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_ForceRHR PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_ForceRHR(the_geom),
			ST_ForceRHR(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_ForceRHR PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_ForceRHR LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_ForceRHR(the_geom),
			ST_ForceRHR(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_ForceRHR LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_ForceRHR PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_ForceRHR(the_geom),
			ST_ForceRHR(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_ForceRHR PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_ForceRHR GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_ForceRHR(the_geom),
			ST_ForceRHR(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_ForceRHR GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_GeometryN PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeometryN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeometryN PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_GeometryN LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeometryN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeometryN LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_GeometryN PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeometryN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeometryN PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_GeometryN PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeometryN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeometryN PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_GeometryN LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeometryN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeometryN LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_GeometryN PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeometryN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeometryN PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_GeometryN PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeometryN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeometryN PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_GeometryN LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeometryN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeometryN LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_GeometryN PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeometryN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeometryN PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_GeometryN GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeometryN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeometryN GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_GeometryType PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_GeometryType(the_geom),
			ST_GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_GeometryType PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_GeometryType LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_GeometryType(the_geom),
			ST_GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_GeometryType LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_GeometryType PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_GeometryType(the_geom),
			ST_GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_GeometryType PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_GeometryType PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_GeometryType(the_geom),
			ST_GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_GeometryType PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_GeometryType LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_GeometryType(the_geom),
			ST_GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_GeometryType LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_GeometryType PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_GeometryType(the_geom),
			ST_GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_GeometryType PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_GeometryType PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_GeometryType(the_geom),
			ST_GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_GeometryType PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_GeometryType LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_GeometryType(the_geom),
			ST_GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_GeometryType LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_GeometryType PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_GeometryType(the_geom),
			ST_GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_GeometryType PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_GeometryType GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_GeometryType(the_geom),
			ST_GeometryType(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_GeometryType GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_GeomFromWKB PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeomFromWKB(ST_AsBinary(foo1.the_geom), 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeomFromWKB PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_GeomFromWKB LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeomFromWKB(ST_AsBinary(foo1.the_geom), 4269))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeomFromWKB LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_GeomFromWKB PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeomFromWKB(ST_AsBinary(foo1.the_geom), 4269))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeomFromWKB PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_GeomFromWKB PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeomFromWKB(ST_AsBinary(foo1.the_geom), 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeomFromWKB PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_GeomFromWKB LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeomFromWKB(ST_AsBinary(foo1.the_geom), 4269))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeomFromWKB LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_GeomFromWKB PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeomFromWKB(ST_AsBinary(foo1.the_geom), 4269))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeomFromWKB PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_GeomFromWKB PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeomFromWKB(ST_AsBinary(foo1.the_geom), 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeomFromWKB PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_GeomFromWKB LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeomFromWKB(ST_AsBinary(foo1.the_geom), 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeomFromWKB LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_GeomFromWKB PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeomFromWKB(ST_AsBinary(foo1.the_geom), 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeomFromWKB PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_GeomFromWKB GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_GeomFromWKB(ST_AsBinary(foo1.the_geom), 4269))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_GeomFromWKB GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_HasArc PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_HasArc(the_geom),
			ST_HasArc(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_HasArc PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_HasArc LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_HasArc(the_geom),
			ST_HasArc(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_HasArc LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_HasArc PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_HasArc(the_geom),
			ST_HasArc(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_HasArc PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_HasArc PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_HasArc(the_geom),
			ST_HasArc(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_HasArc PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_HasArc LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_HasArc(the_geom),
			ST_HasArc(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_HasArc LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_HasArc PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_HasArc(the_geom),
			ST_HasArc(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_HasArc PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_HasArc PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_HasArc(the_geom),
			ST_HasArc(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_HasArc PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_HasArc LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_HasArc(the_geom),
			ST_HasArc(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_HasArc LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_HasArc PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_HasArc(the_geom),
			ST_HasArc(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_HasArc PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_HasArc GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_HasArc(the_geom),
			ST_HasArc(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_HasArc GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_HasBBox PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_HasBBox(the_geom),
			ST_HasBBox(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_HasBBox PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_HasBBox LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_HasBBox(the_geom),
			ST_HasBBox(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_HasBBox LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_HasBBox PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_HasBBox(the_geom),
			ST_HasBBox(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_HasBBox PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_HasBBox PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_HasBBox(the_geom),
			ST_HasBBox(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_HasBBox PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_HasBBox LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_HasBBox(the_geom),
			ST_HasBBox(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_HasBBox LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_HasBBox PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_HasBBox(the_geom),
			ST_HasBBox(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_HasBBox PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_HasBBox PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_HasBBox(the_geom),
			ST_HasBBox(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_HasBBox PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_HasBBox LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_HasBBox(the_geom),
			ST_HasBBox(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_HasBBox LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_HasBBox PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_HasBBox(the_geom),
			ST_HasBBox(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_HasBBox PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_HasBBox GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_HasBBox(the_geom),
			ST_HasBBox(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_HasBBox GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_InteriorRingN PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_InteriorRingN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_InteriorRingN PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_InteriorRingN LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_InteriorRingN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_InteriorRingN LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_InteriorRingN PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_InteriorRingN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_InteriorRingN PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_InteriorRingN PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_InteriorRingN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_InteriorRingN PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_InteriorRingN LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_InteriorRingN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_InteriorRingN LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_InteriorRingN PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_InteriorRingN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_InteriorRingN PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_InteriorRingN PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_InteriorRingN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_InteriorRingN PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_InteriorRingN LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_InteriorRingN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_InteriorRingN LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_InteriorRingN PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_InteriorRingN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_InteriorRingN PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_InteriorRingN GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_InteriorRingN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_InteriorRingN GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Intersection PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Intersection(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Intersection(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersection PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Intersection LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Intersection(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Intersection(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersection LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Intersection PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Intersection(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Intersection(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersection PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Intersection PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Intersection(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Intersection(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersection PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Intersection LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Intersection(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Intersection(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersection LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Intersection PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Intersection(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Intersection(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersection PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Intersection PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Intersection(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Intersection(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersection PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Intersection LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Intersection(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Intersection(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersection LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Intersection PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Intersection(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Intersection(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersection PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Intersection GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Intersection(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Intersection(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersection GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Intersects PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Intersects(foo1.the_geom, foo2.the_geom),
			ST_Intersects(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersects PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Intersects LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Intersects(foo1.the_geom, foo2.the_geom),
			ST_Intersects(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersects LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Intersects PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Intersects(foo1.the_geom, foo2.the_geom),
			ST_Intersects(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersects PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Intersects PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Intersects(foo1.the_geom, foo2.the_geom),
			ST_Intersects(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersects PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Intersects LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Intersects(foo1.the_geom, foo2.the_geom),
			ST_Intersects(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersects LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Intersects PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Intersects(foo1.the_geom, foo2.the_geom),
			ST_Intersects(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersects PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Intersects PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Intersects(foo1.the_geom, foo2.the_geom),
			ST_Intersects(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersects PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Intersects LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Intersects(foo1.the_geom, foo2.the_geom),
			ST_Intersects(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersects LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Intersects PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Intersects(foo1.the_geom, foo2.the_geom),
			ST_Intersects(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersects PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Intersects GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Intersects(foo1.the_geom, foo2.the_geom),
			ST_Intersects(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Intersects GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_IsClosed PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_IsClosed(the_geom),
			ST_IsClosed(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_IsClosed PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_IsClosed LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_IsClosed(the_geom),
			ST_IsClosed(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_IsClosed LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_IsClosed PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_IsClosed(the_geom),
			ST_IsClosed(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_IsClosed PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_IsClosed PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_IsClosed(the_geom),
			ST_IsClosed(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_IsClosed PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_IsClosed LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_IsClosed(the_geom),
			ST_IsClosed(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_IsClosed LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_IsClosed PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_IsClosed(the_geom),
			ST_IsClosed(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_IsClosed PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_IsClosed PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_IsClosed(the_geom),
			ST_IsClosed(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_IsClosed PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_IsClosed LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_IsClosed(the_geom),
			ST_IsClosed(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_IsClosed LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_IsClosed PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_IsClosed(the_geom),
			ST_IsClosed(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_IsClosed PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_IsClosed GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_IsClosed(the_geom),
			ST_IsClosed(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_IsClosed GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_IsEmpty PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_IsEmpty(the_geom),
			ST_IsEmpty(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_IsEmpty PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_IsEmpty LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_IsEmpty(the_geom),
			ST_IsEmpty(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_IsEmpty LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_IsEmpty PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_IsEmpty(the_geom),
			ST_IsEmpty(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_IsEmpty PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_IsEmpty PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_IsEmpty(the_geom),
			ST_IsEmpty(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_IsEmpty PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_IsEmpty LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_IsEmpty(the_geom),
			ST_IsEmpty(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_IsEmpty LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_IsEmpty PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_IsEmpty(the_geom),
			ST_IsEmpty(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_IsEmpty PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_IsEmpty PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_IsEmpty(the_geom),
			ST_IsEmpty(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_IsEmpty PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_IsEmpty LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_IsEmpty(the_geom),
			ST_IsEmpty(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_IsEmpty LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_IsEmpty PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_IsEmpty(the_geom),
			ST_IsEmpty(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_IsEmpty PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_IsEmpty GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_IsEmpty(the_geom),
			ST_IsEmpty(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_IsEmpty GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_IsRing PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_IsRing(the_geom),
			ST_IsRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_IsRing PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_IsRing LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_IsRing(the_geom),
			ST_IsRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_IsRing LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_IsRing PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_IsRing(the_geom),
			ST_IsRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_IsRing PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_IsRing PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_IsRing(the_geom),
			ST_IsRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_IsRing PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_IsRing LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_IsRing(the_geom),
			ST_IsRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_IsRing LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_IsRing PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_IsRing(the_geom),
			ST_IsRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_IsRing PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_IsRing PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_IsRing(the_geom),
			ST_IsRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_IsRing PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_IsRing LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_IsRing(the_geom),
			ST_IsRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_IsRing LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_IsRing PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_IsRing(the_geom),
			ST_IsRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_IsRing PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_IsRing GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_IsRing(the_geom),
			ST_IsRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_IsRing GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_IsSimple PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_IsSimple(the_geom),
			ST_IsSimple(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_IsSimple PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_IsSimple LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_IsSimple(the_geom),
			ST_IsSimple(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_IsSimple LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_IsSimple PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_IsSimple(the_geom),
			ST_IsSimple(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_IsSimple PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_IsSimple PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_IsSimple(the_geom),
			ST_IsSimple(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_IsSimple PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_IsSimple LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_IsSimple(the_geom),
			ST_IsSimple(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_IsSimple LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_IsSimple PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_IsSimple(the_geom),
			ST_IsSimple(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_IsSimple PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_IsSimple PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_IsSimple(the_geom),
			ST_IsSimple(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_IsSimple PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_IsSimple LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_IsSimple(the_geom),
			ST_IsSimple(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_IsSimple LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_IsSimple PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_IsSimple(the_geom),
			ST_IsSimple(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_IsSimple PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_IsSimple GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_IsSimple(the_geom),
			ST_IsSimple(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_IsSimple GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Length PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Length(the_geom),
			ST_Length(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Length PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Length LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Length(the_geom),
			ST_Length(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Length LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Length PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Length(the_geom),
			ST_Length(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Length PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Length PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Length(the_geom),
			ST_Length(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Length PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Length LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Length(the_geom),
			ST_Length(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Length LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Length PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Length(the_geom),
			ST_Length(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Length PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Length PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Length(the_geom),
			ST_Length(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Length PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Length LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Length(the_geom),
			ST_Length(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Length LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Length PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Length(the_geom),
			ST_Length(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Length PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Length GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Length(the_geom),
			ST_Length(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Length GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Length_Spheroid PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_Length_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length_Spheroid PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Length_Spheroid LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_Length_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length_Spheroid LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Length_Spheroid PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_Length_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length_Spheroid PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Length_Spheroid PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_Length_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length_Spheroid PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Length_Spheroid LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Length_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length_Spheroid LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Length_Spheroid PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_Length_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length_Spheroid PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Length_Spheroid PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_Length_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length_Spheroid PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Length_Spheroid LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_Length_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length_Spheroid LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Length_Spheroid PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_Length_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length_Spheroid PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Length_Spheroid GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Length_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length_Spheroid GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Length2D PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Length2D(the_geom),
			ST_Length2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Length2D PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Length2D LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Length2D(the_geom),
			ST_Length2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Length2D LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Length2D PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Length2D(the_geom),
			ST_Length2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Length2D PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Length2D PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Length2D(the_geom),
			ST_Length2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Length2D PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Length2D LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Length2D(the_geom),
			ST_Length2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Length2D LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Length2D PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Length2D(the_geom),
			ST_Length2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Length2D PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Length2D PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Length2D(the_geom),
			ST_Length2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Length2D PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Length2D LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Length2D(the_geom),
			ST_Length2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Length2D LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Length2D PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Length2D(the_geom),
			ST_Length2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Length2D PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Length2D GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Length2D(the_geom),
			ST_Length2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Length2D GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Length2D_Spheroid PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_Length2D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length2D_Spheroid PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Length2D_Spheroid LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_Length2D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length2D_Spheroid LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Length2D_Spheroid PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_Length2D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length2D_Spheroid PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Length2D_Spheroid PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_Length2D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length2D_Spheroid PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Length2D_Spheroid LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Length2D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length2D_Spheroid LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Length2D_Spheroid PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_Length2D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length2D_Spheroid PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Length2D_Spheroid PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_Length2D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length2D_Spheroid PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Length2D_Spheroid LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_Length2D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length2D_Spheroid LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Length2D_Spheroid PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_Length2D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length2D_Spheroid PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Length2D_Spheroid GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Length2D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length2D_Spheroid GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Length3D PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Length3D(the_geom),
			ST_Length3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Length3D PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Length3D LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Length3D(the_geom),
			ST_Length3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Length3D LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Length3D PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Length3D(the_geom),
			ST_Length3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Length3D PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Length3D PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Length3D(the_geom),
			ST_Length3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Length3D PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Length3D LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Length3D(the_geom),
			ST_Length3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Length3D LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Length3D PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Length3D(the_geom),
			ST_Length3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Length3D PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Length3D PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Length3D(the_geom),
			ST_Length3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Length3D PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Length3D LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Length3D(the_geom),
			ST_Length3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Length3D LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Length3D PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Length3D(the_geom),
			ST_Length3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Length3D PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Length3D GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Length3D(the_geom),
			ST_Length3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Length3D GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Length3D_Spheroid PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_Length3D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length3D_Spheroid PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Length3D_Spheroid LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_Length3D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length3D_Spheroid LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Length3D_Spheroid PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_Length3D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length3D_Spheroid PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Length3D_Spheroid PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_Length3D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length3D_Spheroid PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Length3D_Spheroid LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Length3D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length3D_Spheroid LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Length3D_Spheroid PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_Length3D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length3D_Spheroid PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Length3D_Spheroid PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_Length3D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length3D_Spheroid PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Length3D_Spheroid LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_Length3D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length3D_Spheroid LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Length3D_Spheroid PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_Length3D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length3D_Spheroid PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Length3D_Spheroid GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Length3D_Spheroid(foo1.the_geom, 'SPHEROID["GRS_1980",6378137,298.257222101]')
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Length3D_Spheroid GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Line_Interpolate_Point PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Interpolate_Point(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Interpolate_Point PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Line_Interpolate_Point LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Interpolate_Point(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Interpolate_Point LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Line_Interpolate_Point PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Interpolate_Point(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Interpolate_Point PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Line_Interpolate_Point PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Interpolate_Point(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Interpolate_Point PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Line_Interpolate_Point LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Interpolate_Point(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Interpolate_Point LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Line_Interpolate_Point PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Interpolate_Point(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Interpolate_Point PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Line_Interpolate_Point PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Interpolate_Point(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Interpolate_Point PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Line_Interpolate_Point LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Interpolate_Point(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Interpolate_Point LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Line_Interpolate_Point PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Interpolate_Point(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Interpolate_Point PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Line_Interpolate_Point GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Interpolate_Point(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Interpolate_Point GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Line_Locate_Point PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Line_Locate_Point(foo1.the_geom, foo2.the_geom),
			ST_Line_Locate_Point(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Locate_Point PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Line_Locate_Point LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Line_Locate_Point(foo1.the_geom, foo2.the_geom),
			ST_Line_Locate_Point(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Locate_Point LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Line_Locate_Point PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Line_Locate_Point(foo1.the_geom, foo2.the_geom),
			ST_Line_Locate_Point(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Locate_Point PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Line_Locate_Point PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Line_Locate_Point(foo1.the_geom, foo2.the_geom),
			ST_Line_Locate_Point(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Locate_Point PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Line_Locate_Point LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Line_Locate_Point(foo1.the_geom, foo2.the_geom),
			ST_Line_Locate_Point(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Locate_Point LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Line_Locate_Point PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Line_Locate_Point(foo1.the_geom, foo2.the_geom),
			ST_Line_Locate_Point(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Locate_Point PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Line_Locate_Point PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Line_Locate_Point(foo1.the_geom, foo2.the_geom),
			ST_Line_Locate_Point(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Locate_Point PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Line_Locate_Point LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Line_Locate_Point(foo1.the_geom, foo2.the_geom),
			ST_Line_Locate_Point(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Locate_Point LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Line_Locate_Point PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Line_Locate_Point(foo1.the_geom, foo2.the_geom),
			ST_Line_Locate_Point(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Locate_Point PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Line_Locate_Point GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Line_Locate_Point(foo1.the_geom, foo2.the_geom),
			ST_Line_Locate_Point(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Locate_Point GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Line_Substring PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Substring(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Substring PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Line_Substring LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Substring(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Substring LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Line_Substring PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Substring(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Substring PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Line_Substring PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Substring(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Substring PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Line_Substring LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Substring(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Substring LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Line_Substring PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Substring(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Substring PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Line_Substring PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Substring(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Substring PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Line_Substring LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Substring(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Substring LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Line_Substring PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Substring(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Substring PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Line_Substring GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Line_Substring(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Line_Substring GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_LineFromMultiPoint PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineFromMultiPoint(the_geom)),
	ST_AsEWKT(ST_LineFromMultiPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_LineFromMultiPoint PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_LineFromMultiPoint LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineFromMultiPoint(the_geom)),
	ST_AsEWKT(ST_LineFromMultiPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_LineFromMultiPoint LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_LineFromMultiPoint PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineFromMultiPoint(the_geom)),
	ST_AsEWKT(ST_LineFromMultiPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_LineFromMultiPoint PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_LineFromMultiPoint PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineFromMultiPoint(the_geom)),
	ST_AsEWKT(ST_LineFromMultiPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_LineFromMultiPoint PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_LineFromMultiPoint LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineFromMultiPoint(the_geom)),
	ST_AsEWKT(ST_LineFromMultiPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_LineFromMultiPoint LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_LineFromMultiPoint PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineFromMultiPoint(the_geom)),
	ST_AsEWKT(ST_LineFromMultiPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_LineFromMultiPoint PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_LineFromMultiPoint PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineFromMultiPoint(the_geom)),
	ST_AsEWKT(ST_LineFromMultiPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_LineFromMultiPoint PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_LineFromMultiPoint LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineFromMultiPoint(the_geom)),
	ST_AsEWKT(ST_LineFromMultiPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_LineFromMultiPoint LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_LineFromMultiPoint PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineFromMultiPoint(the_geom)),
	ST_AsEWKT(ST_LineFromMultiPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_LineFromMultiPoint PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_LineFromMultiPoint GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineFromMultiPoint(the_geom)),
	ST_AsEWKT(ST_LineFromMultiPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_LineFromMultiPoint GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_LineMerge PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineMerge(the_geom)),
	ST_AsEWKT(ST_LineMerge(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_LineMerge PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_LineMerge LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineMerge(the_geom)),
	ST_AsEWKT(ST_LineMerge(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_LineMerge LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_LineMerge PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineMerge(the_geom)),
	ST_AsEWKT(ST_LineMerge(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_LineMerge PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_LineMerge PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineMerge(the_geom)),
	ST_AsEWKT(ST_LineMerge(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_LineMerge PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_LineMerge LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineMerge(the_geom)),
	ST_AsEWKT(ST_LineMerge(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_LineMerge LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_LineMerge PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineMerge(the_geom)),
	ST_AsEWKT(ST_LineMerge(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_LineMerge PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_LineMerge PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineMerge(the_geom)),
	ST_AsEWKT(ST_LineMerge(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_LineMerge PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_LineMerge LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineMerge(the_geom)),
	ST_AsEWKT(ST_LineMerge(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_LineMerge LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_LineMerge PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineMerge(the_geom)),
	ST_AsEWKT(ST_LineMerge(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_LineMerge PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_LineMerge GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineMerge(the_geom)),
	ST_AsEWKT(ST_LineMerge(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_LineMerge GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_LineToCurve PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineToCurve(the_geom)),
	ST_AsEWKT(ST_LineToCurve(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_LineToCurve PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_LineToCurve LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineToCurve(the_geom)),
	ST_AsEWKT(ST_LineToCurve(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_LineToCurve LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_LineToCurve PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineToCurve(the_geom)),
	ST_AsEWKT(ST_LineToCurve(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_LineToCurve PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_LineToCurve PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineToCurve(the_geom)),
	ST_AsEWKT(ST_LineToCurve(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_LineToCurve PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_LineToCurve LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineToCurve(the_geom)),
	ST_AsEWKT(ST_LineToCurve(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_LineToCurve LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_LineToCurve PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineToCurve(the_geom)),
	ST_AsEWKT(ST_LineToCurve(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_LineToCurve PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_LineToCurve PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineToCurve(the_geom)),
	ST_AsEWKT(ST_LineToCurve(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_LineToCurve PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_LineToCurve LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineToCurve(the_geom)),
	ST_AsEWKT(ST_LineToCurve(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_LineToCurve LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_LineToCurve PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineToCurve(the_geom)),
	ST_AsEWKT(ST_LineToCurve(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_LineToCurve PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_LineToCurve GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_LineToCurve(the_geom)),
	ST_AsEWKT(ST_LineToCurve(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_LineToCurve GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Locate_Along_Measure PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Along_Measure(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Along_Measure PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Locate_Along_Measure LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Along_Measure(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Along_Measure LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Locate_Along_Measure PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Along_Measure(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Along_Measure PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Locate_Along_Measure PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Along_Measure(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Along_Measure PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Locate_Along_Measure LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Along_Measure(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Along_Measure LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Locate_Along_Measure PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Along_Measure(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Along_Measure PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Locate_Along_Measure PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Along_Measure(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Along_Measure PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Locate_Along_Measure LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Along_Measure(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Along_Measure LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Locate_Along_Measure PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Along_Measure(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Along_Measure PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Locate_Along_Measure GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Along_Measure(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Along_Measure GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Locate_Between_Measures PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Between_Measures(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Between_Measures PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Locate_Between_Measures LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Between_Measures(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Between_Measures LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Locate_Between_Measures PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Between_Measures(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Between_Measures PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Locate_Between_Measures PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Between_Measures(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Between_Measures PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Locate_Between_Measures LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Between_Measures(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Between_Measures LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Locate_Between_Measures PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Between_Measures(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Between_Measures PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Locate_Between_Measures PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Between_Measures(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Between_Measures PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Locate_Between_Measures LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Between_Measures(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Between_Measures LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Locate_Between_Measures PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Between_Measures(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Between_Measures PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Locate_Between_Measures GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Locate_Between_Measures(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Locate_Between_Measures GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_M PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_M(the_geom),
			ST_M(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_M PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_M LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_M(the_geom),
			ST_M(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_M LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_M PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_M(the_geom),
			ST_M(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_M PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_M PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_M(the_geom),
			ST_M(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_M PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_M LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_M(the_geom),
			ST_M(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_M LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_M PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_M(the_geom),
			ST_M(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_M PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_M PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_M(the_geom),
			ST_M(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_M PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_M LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_M(the_geom),
			ST_M(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_M LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_M PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_M(the_geom),
			ST_M(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_M PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_M GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_M(the_geom),
			ST_M(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_M GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_MakeBox2D PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_MakeBox2D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox2D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox2D PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakeBox2D LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_MakeBox2D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox2D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox2D LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakeBox2D PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_MakeBox2D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox2D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox2D PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakeBox2D PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_MakeBox2D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox2D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox2D PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_MakeBox2D LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_MakeBox2D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox2D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox2D LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_MakeBox2D PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_MakeBox2D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox2D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox2D PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_MakeBox2D PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_MakeBox2D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox2D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox2D PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakeBox2D LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_MakeBox2D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox2D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox2D LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakeBox2D PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_MakeBox2D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox2D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox2D PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakeBox2D GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_MakeBox2D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox2D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox2D GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_MakeBox3D PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_MakeBox3D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox3D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox3D PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakeBox3D LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_MakeBox3D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox3D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox3D LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakeBox3D PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_MakeBox3D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox3D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox3D PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakeBox3D PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_MakeBox3D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox3D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox3D PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_MakeBox3D LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_MakeBox3D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox3D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox3D LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_MakeBox3D PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_MakeBox3D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox3D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox3D PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_MakeBox3D PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_MakeBox3D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox3D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox3D PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakeBox3D LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_MakeBox3D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox3D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox3D LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakeBox3D PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_MakeBox3D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox3D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox3D PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakeBox3D GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_MakeBox3D(foo1.the_geom, foo2.the_geom),
			ST_MakeBox3D(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeBox3D GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_MakeLine PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_MakeLine PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakeLine LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_MakeLine LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakeLine PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_MakeLine PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakeLine PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_MakeLine PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_MakeLine LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_MakeLine LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_MakeLine PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_MakeLine PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_MakeLine PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_MakeLine PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakeLine LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_MakeLine LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakeLine PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_MakeLine PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakeLine GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_MakeLine GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_MakeLine PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeLine PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakeLine LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeLine LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakeLine PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeLine PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakeLine PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeLine PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_MakeLine LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeLine LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_MakeLine PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeLine PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_MakeLine PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeLine PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakeLine LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeLine LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakeLine PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeLine PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakeLine GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakeLine(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_MakeLine(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakeLine GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_MakePoint PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakePoint LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakePoint PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakePoint PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_MakePoint LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_MakePoint PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_MakePoint PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakePoint LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakePoint PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakePoint GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_MakePoint PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakePoint LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakePoint PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakePoint PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_MakePoint LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_MakePoint PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_MakePoint PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakePoint LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakePoint PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakePoint GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_MakePoint PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakePoint LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakePoint PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakePoint PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_MakePoint LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_MakePoint PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_MakePoint PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakePoint LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakePoint PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakePoint GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePoint(0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePoint GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_MakePointM PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePointM(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePointM PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakePointM LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePointM(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePointM LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakePointM PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePointM(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePointM PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakePointM PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePointM(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePointM PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_MakePointM LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePointM(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePointM LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_MakePointM PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePointM(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePointM PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_MakePointM PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePointM(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePointM PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakePointM LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePointM(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePointM LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakePointM PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePointM(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePointM PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakePointM GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePointM(0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePointM GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_MakePolygon PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(the_geom)),
	ST_AsEWKT(ST_MakePolygon(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_MakePolygon PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakePolygon LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(the_geom)),
	ST_AsEWKT(ST_MakePolygon(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_MakePolygon LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakePolygon PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(the_geom)),
	ST_AsEWKT(ST_MakePolygon(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_MakePolygon PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakePolygon PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(the_geom)),
	ST_AsEWKT(ST_MakePolygon(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_MakePolygon PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_MakePolygon LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(the_geom)),
	ST_AsEWKT(ST_MakePolygon(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_MakePolygon LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_MakePolygon PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(the_geom)),
	ST_AsEWKT(ST_MakePolygon(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_MakePolygon PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_MakePolygon PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(the_geom)),
	ST_AsEWKT(ST_MakePolygon(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_MakePolygon PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakePolygon LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(the_geom)),
	ST_AsEWKT(ST_MakePolygon(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_MakePolygon LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakePolygon PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(the_geom)),
	ST_AsEWKT(ST_MakePolygon(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_MakePolygon PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakePolygon GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(the_geom)),
	ST_AsEWKT(ST_MakePolygon(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_MakePolygon GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_MakePolygon PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(foo1.the_geom,  
						ARRAY[foo2.the_geom]
					))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePolygon PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakePolygon LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(foo1.the_geom,  
						ARRAY[foo2.the_geom]
					))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePolygon LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakePolygon PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(foo1.the_geom,  
						ARRAY[foo2.the_geom]
					))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePolygon PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakePolygon PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(foo1.the_geom,  
						ARRAY[foo2.the_geom]
					))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePolygon PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_MakePolygon LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(foo1.the_geom,  
						ARRAY[foo2.the_geom]
					))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePolygon LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_MakePolygon PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(foo1.the_geom,  
						ARRAY[foo2.the_geom]
					))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePolygon PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_MakePolygon PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(foo1.the_geom,  
						ARRAY[foo2.the_geom]
					))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePolygon PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MakePolygon LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(foo1.the_geom,  
						ARRAY[foo2.the_geom]
					))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePolygon LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MakePolygon PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(foo1.the_geom,  
						ARRAY[foo2.the_geom]
					))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePolygon PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MakePolygon GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MakePolygon(foo1.the_geom,  
						ARRAY[foo2.the_geom]
					))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_MakePolygon GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Max_Distance PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Max_Distance(foo1.the_geom, foo2.the_geom),
			ST_Max_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Max_Distance PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Max_Distance LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Max_Distance(foo1.the_geom, foo2.the_geom),
			ST_Max_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Max_Distance LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Max_Distance PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Max_Distance(foo1.the_geom, foo2.the_geom),
			ST_Max_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Max_Distance PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Max_Distance PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Max_Distance(foo1.the_geom, foo2.the_geom),
			ST_Max_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Max_Distance PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Max_Distance LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Max_Distance(foo1.the_geom, foo2.the_geom),
			ST_Max_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Max_Distance LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Max_Distance PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Max_Distance(foo1.the_geom, foo2.the_geom),
			ST_Max_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Max_Distance PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Max_Distance PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Max_Distance(foo1.the_geom, foo2.the_geom),
			ST_Max_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Max_Distance PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Max_Distance LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Max_Distance(foo1.the_geom, foo2.the_geom),
			ST_Max_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Max_Distance LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Max_Distance PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Max_Distance(foo1.the_geom, foo2.the_geom),
			ST_Max_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Max_Distance PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Max_Distance GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Max_Distance(foo1.the_geom, foo2.the_geom),
			ST_Max_Distance(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Max_Distance GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Mem_Size PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Mem_Size(the_geom),
			ST_Mem_Size(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Mem_Size PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Mem_Size LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Mem_Size(the_geom),
			ST_Mem_Size(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Mem_Size LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Mem_Size PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Mem_Size(the_geom),
			ST_Mem_Size(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Mem_Size PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Mem_Size PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Mem_Size(the_geom),
			ST_Mem_Size(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Mem_Size PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Mem_Size LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Mem_Size(the_geom),
			ST_Mem_Size(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Mem_Size LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Mem_Size PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Mem_Size(the_geom),
			ST_Mem_Size(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Mem_Size PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Mem_Size PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Mem_Size(the_geom),
			ST_Mem_Size(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Mem_Size PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Mem_Size LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Mem_Size(the_geom),
			ST_Mem_Size(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Mem_Size LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Mem_Size PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Mem_Size(the_geom),
			ST_Mem_Size(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Mem_Size PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Mem_Size GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Mem_Size(the_geom),
			ST_Mem_Size(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Mem_Size GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_MemUnion PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MemUnion(the_geom)),
	ST_AsEWKT(ST_MemUnion(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_MemUnion PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MemUnion LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MemUnion(the_geom)),
	ST_AsEWKT(ST_MemUnion(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_MemUnion LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MemUnion PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MemUnion(the_geom)),
	ST_AsEWKT(ST_MemUnion(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_MemUnion PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MemUnion PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MemUnion(the_geom)),
	ST_AsEWKT(ST_MemUnion(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_MemUnion PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_MemUnion LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MemUnion(the_geom)),
	ST_AsEWKT(ST_MemUnion(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_MemUnion LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_MemUnion PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MemUnion(the_geom)),
	ST_AsEWKT(ST_MemUnion(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_MemUnion PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_MemUnion PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MemUnion(the_geom)),
	ST_AsEWKT(ST_MemUnion(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_MemUnion PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_MemUnion LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MemUnion(the_geom)),
	ST_AsEWKT(ST_MemUnion(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_MemUnion LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_MemUnion PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MemUnion(the_geom)),
	ST_AsEWKT(ST_MemUnion(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_MemUnion PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_MemUnion GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_MemUnion(the_geom)),
	ST_AsEWKT(ST_MemUnion(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_MemUnion GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Multi PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Multi(the_geom)),
	ST_AsEWKT(ST_Multi(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Multi PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Multi LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Multi(the_geom)),
	ST_AsEWKT(ST_Multi(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Multi LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Multi PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Multi(the_geom)),
	ST_AsEWKT(ST_Multi(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Multi PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Multi PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Multi(the_geom)),
	ST_AsEWKT(ST_Multi(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Multi PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Multi LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Multi(the_geom)),
	ST_AsEWKT(ST_Multi(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Multi LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Multi PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Multi(the_geom)),
	ST_AsEWKT(ST_Multi(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Multi PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Multi PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Multi(the_geom)),
	ST_AsEWKT(ST_Multi(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Multi PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Multi LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Multi(the_geom)),
	ST_AsEWKT(ST_Multi(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Multi LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Multi PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Multi(the_geom)),
	ST_AsEWKT(ST_Multi(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Multi PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Multi GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Multi(the_geom)),
	ST_AsEWKT(ST_Multi(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Multi GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_NDims PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_NDims(the_geom),
			ST_NDims(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_NDims PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_NDims LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_NDims(the_geom),
			ST_NDims(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_NDims LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_NDims PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_NDims(the_geom),
			ST_NDims(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_NDims PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_NDims PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_NDims(the_geom),
			ST_NDims(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_NDims PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_NDims LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_NDims(the_geom),
			ST_NDims(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_NDims LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_NDims PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_NDims(the_geom),
			ST_NDims(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_NDims PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_NDims PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_NDims(the_geom),
			ST_NDims(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_NDims PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_NDims LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_NDims(the_geom),
			ST_NDims(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_NDims LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_NDims PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_NDims(the_geom),
			ST_NDims(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_NDims PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_NDims GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_NDims(the_geom),
			ST_NDims(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_NDims GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_NPoints PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_NPoints(the_geom),
			ST_NPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_NPoints PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_NPoints LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_NPoints(the_geom),
			ST_NPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_NPoints LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_NPoints PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_NPoints(the_geom),
			ST_NPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_NPoints PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_NPoints PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_NPoints(the_geom),
			ST_NPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_NPoints PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_NPoints LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_NPoints(the_geom),
			ST_NPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_NPoints LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_NPoints PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_NPoints(the_geom),
			ST_NPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_NPoints PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_NPoints PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_NPoints(the_geom),
			ST_NPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_NPoints PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_NPoints LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_NPoints(the_geom),
			ST_NPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_NPoints LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_NPoints PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_NPoints(the_geom),
			ST_NPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_NPoints PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_NPoints GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_NPoints(the_geom),
			ST_NPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_NPoints GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_NumGeometries PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_NumGeometries(the_geom),
			ST_NumGeometries(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_NumGeometries PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_NumGeometries LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_NumGeometries(the_geom),
			ST_NumGeometries(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_NumGeometries LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_NumGeometries PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_NumGeometries(the_geom),
			ST_NumGeometries(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_NumGeometries PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_NumGeometries PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_NumGeometries(the_geom),
			ST_NumGeometries(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_NumGeometries PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_NumGeometries LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_NumGeometries(the_geom),
			ST_NumGeometries(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_NumGeometries LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_NumGeometries PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_NumGeometries(the_geom),
			ST_NumGeometries(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_NumGeometries PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_NumGeometries PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_NumGeometries(the_geom),
			ST_NumGeometries(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_NumGeometries PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_NumGeometries LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_NumGeometries(the_geom),
			ST_NumGeometries(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_NumGeometries LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_NumGeometries PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_NumGeometries(the_geom),
			ST_NumGeometries(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_NumGeometries PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_NumGeometries GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_NumGeometries(the_geom),
			ST_NumGeometries(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_NumGeometries GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_NumInteriorRing PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_NumInteriorRing(the_geom),
			ST_NumInteriorRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRing PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_NumInteriorRing LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_NumInteriorRing(the_geom),
			ST_NumInteriorRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRing LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_NumInteriorRing PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_NumInteriorRing(the_geom),
			ST_NumInteriorRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRing PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_NumInteriorRing PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_NumInteriorRing(the_geom),
			ST_NumInteriorRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRing PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_NumInteriorRing LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_NumInteriorRing(the_geom),
			ST_NumInteriorRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRing LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_NumInteriorRing PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_NumInteriorRing(the_geom),
			ST_NumInteriorRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRing PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_NumInteriorRing PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_NumInteriorRing(the_geom),
			ST_NumInteriorRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRing PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_NumInteriorRing LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_NumInteriorRing(the_geom),
			ST_NumInteriorRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRing LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_NumInteriorRing PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_NumInteriorRing(the_geom),
			ST_NumInteriorRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRing PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_NumInteriorRing GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_NumInteriorRing(the_geom),
			ST_NumInteriorRing(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRing GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_NumInteriorRings PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_NumInteriorRings(the_geom),
			ST_NumInteriorRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRings PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_NumInteriorRings LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_NumInteriorRings(the_geom),
			ST_NumInteriorRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRings LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_NumInteriorRings PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_NumInteriorRings(the_geom),
			ST_NumInteriorRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRings PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_NumInteriorRings PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_NumInteriorRings(the_geom),
			ST_NumInteriorRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRings PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_NumInteriorRings LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_NumInteriorRings(the_geom),
			ST_NumInteriorRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRings LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_NumInteriorRings PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_NumInteriorRings(the_geom),
			ST_NumInteriorRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRings PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_NumInteriorRings PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_NumInteriorRings(the_geom),
			ST_NumInteriorRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRings PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_NumInteriorRings LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_NumInteriorRings(the_geom),
			ST_NumInteriorRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRings LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_NumInteriorRings PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_NumInteriorRings(the_geom),
			ST_NumInteriorRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRings PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_NumInteriorRings GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_NumInteriorRings(the_geom),
			ST_NumInteriorRings(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_NumInteriorRings GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_NumPoints PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_NumPoints(the_geom),
			ST_NumPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_NumPoints PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_NumPoints LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_NumPoints(the_geom),
			ST_NumPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_NumPoints LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_NumPoints PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_NumPoints(the_geom),
			ST_NumPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_NumPoints PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_NumPoints PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_NumPoints(the_geom),
			ST_NumPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_NumPoints PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_NumPoints LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_NumPoints(the_geom),
			ST_NumPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_NumPoints LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_NumPoints PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_NumPoints(the_geom),
			ST_NumPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_NumPoints PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_NumPoints PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_NumPoints(the_geom),
			ST_NumPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_NumPoints PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_NumPoints LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_NumPoints(the_geom),
			ST_NumPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_NumPoints LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_NumPoints PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_NumPoints(the_geom),
			ST_NumPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_NumPoints PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_NumPoints GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_NumPoints(the_geom),
			ST_NumPoints(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_NumPoints GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_OrderingEquals PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_OrderingEquals(foo1.the_geom, foo2.the_geom),
			ST_OrderingEquals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_OrderingEquals PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_OrderingEquals LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_OrderingEquals(foo1.the_geom, foo2.the_geom),
			ST_OrderingEquals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_OrderingEquals LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_OrderingEquals PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_OrderingEquals(foo1.the_geom, foo2.the_geom),
			ST_OrderingEquals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_OrderingEquals PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_OrderingEquals PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_OrderingEquals(foo1.the_geom, foo2.the_geom),
			ST_OrderingEquals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_OrderingEquals PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_OrderingEquals LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_OrderingEquals(foo1.the_geom, foo2.the_geom),
			ST_OrderingEquals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_OrderingEquals LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_OrderingEquals PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_OrderingEquals(foo1.the_geom, foo2.the_geom),
			ST_OrderingEquals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_OrderingEquals PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_OrderingEquals PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_OrderingEquals(foo1.the_geom, foo2.the_geom),
			ST_OrderingEquals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_OrderingEquals PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_OrderingEquals LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_OrderingEquals(foo1.the_geom, foo2.the_geom),
			ST_OrderingEquals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_OrderingEquals LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_OrderingEquals PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_OrderingEquals(foo1.the_geom, foo2.the_geom),
			ST_OrderingEquals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_OrderingEquals PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_OrderingEquals GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_OrderingEquals(foo1.the_geom, foo2.the_geom),
			ST_OrderingEquals(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_OrderingEquals GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Overlaps PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Overlaps(foo1.the_geom, foo2.the_geom),
			ST_Overlaps(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Overlaps PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Overlaps LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Overlaps(foo1.the_geom, foo2.the_geom),
			ST_Overlaps(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Overlaps LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Overlaps PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Overlaps(foo1.the_geom, foo2.the_geom),
			ST_Overlaps(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Overlaps PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Overlaps PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Overlaps(foo1.the_geom, foo2.the_geom),
			ST_Overlaps(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Overlaps PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Overlaps LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Overlaps(foo1.the_geom, foo2.the_geom),
			ST_Overlaps(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Overlaps LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Overlaps PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Overlaps(foo1.the_geom, foo2.the_geom),
			ST_Overlaps(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Overlaps PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Overlaps PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Overlaps(foo1.the_geom, foo2.the_geom),
			ST_Overlaps(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Overlaps PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Overlaps LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Overlaps(foo1.the_geom, foo2.the_geom),
			ST_Overlaps(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Overlaps LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Overlaps PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Overlaps(foo1.the_geom, foo2.the_geom),
			ST_Overlaps(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Overlaps PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Overlaps GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Overlaps(foo1.the_geom, foo2.the_geom),
			ST_Overlaps(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Overlaps GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Perimeter PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Perimeter(the_geom),
			ST_Perimeter(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Perimeter PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Perimeter LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Perimeter(the_geom),
			ST_Perimeter(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Perimeter LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Perimeter PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Perimeter(the_geom),
			ST_Perimeter(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Perimeter PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Perimeter PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Perimeter(the_geom),
			ST_Perimeter(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Perimeter PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Perimeter LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Perimeter(the_geom),
			ST_Perimeter(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Perimeter LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Perimeter PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Perimeter(the_geom),
			ST_Perimeter(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Perimeter PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Perimeter PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Perimeter(the_geom),
			ST_Perimeter(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Perimeter PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Perimeter LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Perimeter(the_geom),
			ST_Perimeter(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Perimeter LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Perimeter PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Perimeter(the_geom),
			ST_Perimeter(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Perimeter PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Perimeter GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Perimeter(the_geom),
			ST_Perimeter(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Perimeter GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Perimeter2D PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Perimeter2D(the_geom),
			ST_Perimeter2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Perimeter2D PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Perimeter2D LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Perimeter2D(the_geom),
			ST_Perimeter2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Perimeter2D LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Perimeter2D PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Perimeter2D(the_geom),
			ST_Perimeter2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Perimeter2D PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Perimeter2D PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Perimeter2D(the_geom),
			ST_Perimeter2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Perimeter2D PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Perimeter2D LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Perimeter2D(the_geom),
			ST_Perimeter2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Perimeter2D LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Perimeter2D PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Perimeter2D(the_geom),
			ST_Perimeter2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Perimeter2D PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Perimeter2D PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Perimeter2D(the_geom),
			ST_Perimeter2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Perimeter2D PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Perimeter2D LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Perimeter2D(the_geom),
			ST_Perimeter2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Perimeter2D LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Perimeter2D PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Perimeter2D(the_geom),
			ST_Perimeter2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Perimeter2D PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Perimeter2D GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Perimeter2D(the_geom),
			ST_Perimeter2D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Perimeter2D GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Perimeter3D PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Perimeter3D(the_geom),
			ST_Perimeter3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Perimeter3D PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Perimeter3D LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Perimeter3D(the_geom),
			ST_Perimeter3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Perimeter3D LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Perimeter3D PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Perimeter3D(the_geom),
			ST_Perimeter3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Perimeter3D PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Perimeter3D PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Perimeter3D(the_geom),
			ST_Perimeter3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Perimeter3D PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Perimeter3D LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Perimeter3D(the_geom),
			ST_Perimeter3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Perimeter3D LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Perimeter3D PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Perimeter3D(the_geom),
			ST_Perimeter3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Perimeter3D PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Perimeter3D PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Perimeter3D(the_geom),
			ST_Perimeter3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Perimeter3D PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Perimeter3D LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Perimeter3D(the_geom),
			ST_Perimeter3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Perimeter3D LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Perimeter3D PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Perimeter3D(the_geom),
			ST_Perimeter3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Perimeter3D PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Perimeter3D GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Perimeter3D(the_geom),
			ST_Perimeter3D(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Perimeter3D GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Point PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Point(0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Point PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Point LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Point(0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Point LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Point PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Point(0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Point PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Point PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Point(0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Point PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Point LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Point(0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Point LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Point PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Point(0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Point PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Point PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Point(0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Point PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Point LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Point(0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Point LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Point PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Point(0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Point PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Point GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Point(0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Point GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_PointN PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_PointN PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_PointN LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_PointN LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_PointN PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_PointN PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_PointN PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_PointN PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_PointN LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_PointN LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_PointN PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_PointN PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_PointN PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_PointN PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_PointN LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_PointN LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_PointN PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_PointN PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_PointN GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointN(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_PointN GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_PointOnSurface PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointOnSurface(the_geom)),
	ST_AsEWKT(ST_PointOnSurface(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_PointOnSurface PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_PointOnSurface LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointOnSurface(the_geom)),
	ST_AsEWKT(ST_PointOnSurface(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_PointOnSurface LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_PointOnSurface PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointOnSurface(the_geom)),
	ST_AsEWKT(ST_PointOnSurface(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_PointOnSurface PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_PointOnSurface PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointOnSurface(the_geom)),
	ST_AsEWKT(ST_PointOnSurface(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_PointOnSurface PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_PointOnSurface LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointOnSurface(the_geom)),
	ST_AsEWKT(ST_PointOnSurface(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_PointOnSurface LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_PointOnSurface PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointOnSurface(the_geom)),
	ST_AsEWKT(ST_PointOnSurface(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_PointOnSurface PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_PointOnSurface PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointOnSurface(the_geom)),
	ST_AsEWKT(ST_PointOnSurface(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_PointOnSurface PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_PointOnSurface LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointOnSurface(the_geom)),
	ST_AsEWKT(ST_PointOnSurface(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_PointOnSurface LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_PointOnSurface PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointOnSurface(the_geom)),
	ST_AsEWKT(ST_PointOnSurface(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_PointOnSurface PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_PointOnSurface GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_PointOnSurface(the_geom)),
	ST_AsEWKT(ST_PointOnSurface(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_PointOnSurface GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Polygon PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygon(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Polygon PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Polygon LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygon(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Polygon LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Polygon PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygon(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Polygon PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Polygon PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygon(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Polygon PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Polygon LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygon(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Polygon LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Polygon PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygon(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Polygon PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Polygon PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygon(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Polygon PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Polygon LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygon(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Polygon LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Polygon PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygon(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Polygon PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Polygon GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygon(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Polygon GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Polygonize PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygonize(the_geom)),
	ST_AsEWKT(ST_Polygonize(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Polygonize PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Polygonize LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygonize(the_geom)),
	ST_AsEWKT(ST_Polygonize(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Polygonize LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Polygonize PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygonize(the_geom)),
	ST_AsEWKT(ST_Polygonize(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Polygonize PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Polygonize PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygonize(the_geom)),
	ST_AsEWKT(ST_Polygonize(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Polygonize PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Polygonize LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygonize(the_geom)),
	ST_AsEWKT(ST_Polygonize(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Polygonize LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Polygonize PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygonize(the_geom)),
	ST_AsEWKT(ST_Polygonize(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Polygonize PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Polygonize PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygonize(the_geom)),
	ST_AsEWKT(ST_Polygonize(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Polygonize PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Polygonize LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygonize(the_geom)),
	ST_AsEWKT(ST_Polygonize(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Polygonize LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Polygonize PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygonize(the_geom)),
	ST_AsEWKT(ST_Polygonize(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Polygonize PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Polygonize GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Polygonize(the_geom)),
	ST_AsEWKT(ST_Polygonize(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Polygonize GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Relate PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Relate(foo1.the_geom, foo2.the_geom),
			ST_Relate(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Relate PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Relate LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Relate(foo1.the_geom, foo2.the_geom),
			ST_Relate(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Relate LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Relate PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Relate(foo1.the_geom, foo2.the_geom),
			ST_Relate(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Relate PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Relate PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Relate(foo1.the_geom, foo2.the_geom),
			ST_Relate(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Relate PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Relate LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Relate(foo1.the_geom, foo2.the_geom),
			ST_Relate(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Relate LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Relate PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Relate(foo1.the_geom, foo2.the_geom),
			ST_Relate(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Relate PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Relate PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Relate(foo1.the_geom, foo2.the_geom),
			ST_Relate(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Relate PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Relate LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Relate(foo1.the_geom, foo2.the_geom),
			ST_Relate(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Relate LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Relate PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Relate(foo1.the_geom, foo2.the_geom),
			ST_Relate(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Relate PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Relate GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Relate(foo1.the_geom, foo2.the_geom),
			ST_Relate(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Relate GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_RemovePoint PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RemovePoint(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RemovePoint PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_RemovePoint LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RemovePoint(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RemovePoint LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_RemovePoint PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RemovePoint(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RemovePoint PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_RemovePoint PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RemovePoint(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RemovePoint PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_RemovePoint LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RemovePoint(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RemovePoint LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_RemovePoint PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RemovePoint(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RemovePoint PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_RemovePoint PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RemovePoint(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RemovePoint PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_RemovePoint LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RemovePoint(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RemovePoint LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_RemovePoint PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RemovePoint(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RemovePoint PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_RemovePoint GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RemovePoint(foo1.the_geom, 5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RemovePoint GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Reverse PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Reverse(the_geom)),
	ST_AsEWKT(ST_Reverse(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Reverse PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Reverse LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Reverse(the_geom)),
	ST_AsEWKT(ST_Reverse(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Reverse LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Reverse PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Reverse(the_geom)),
	ST_AsEWKT(ST_Reverse(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Reverse PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Reverse PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Reverse(the_geom)),
	ST_AsEWKT(ST_Reverse(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Reverse PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Reverse LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Reverse(the_geom)),
	ST_AsEWKT(ST_Reverse(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Reverse LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Reverse PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Reverse(the_geom)),
	ST_AsEWKT(ST_Reverse(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Reverse PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Reverse PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Reverse(the_geom)),
	ST_AsEWKT(ST_Reverse(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Reverse PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Reverse LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Reverse(the_geom)),
	ST_AsEWKT(ST_Reverse(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Reverse LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Reverse PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Reverse(the_geom)),
	ST_AsEWKT(ST_Reverse(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Reverse PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Reverse GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Reverse(the_geom)),
	ST_AsEWKT(ST_Reverse(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Reverse GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Rotate PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Rotate(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Rotate PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Rotate LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Rotate(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Rotate LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Rotate PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Rotate(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Rotate PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Rotate PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Rotate(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Rotate PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Rotate LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Rotate(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Rotate LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Rotate PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Rotate(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Rotate PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Rotate PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Rotate(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Rotate PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Rotate LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Rotate(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Rotate LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Rotate PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Rotate(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Rotate PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Rotate GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Rotate(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Rotate GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_RotateX PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateX(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateX PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_RotateX LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateX(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateX LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_RotateX PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateX(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateX PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_RotateX PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateX(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateX PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_RotateX LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateX(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateX LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_RotateX PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateX(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateX PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_RotateX PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateX(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateX PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_RotateX LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateX(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateX LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_RotateX PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateX(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateX PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_RotateX GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateX(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateX GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_RotateY PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateY(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateY PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_RotateY LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateY(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateY LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_RotateY PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateY(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateY PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_RotateY PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateY(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateY PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_RotateY LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateY(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateY LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_RotateY PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateY(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateY PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_RotateY PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateY(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateY PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_RotateY LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateY(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateY LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_RotateY PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateY(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateY PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_RotateY GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateY(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateY GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_RotateZ PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateZ(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateZ PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_RotateZ LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateZ(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateZ LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_RotateZ PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateZ(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateZ PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_RotateZ PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateZ(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateZ PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_RotateZ LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateZ(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateZ LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_RotateZ PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateZ(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateZ PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_RotateZ PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateZ(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateZ PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_RotateZ LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateZ(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateZ LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_RotateZ PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateZ(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateZ PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_RotateZ GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_RotateZ(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_RotateZ GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Scale PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Scale LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Scale PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Scale PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Scale LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Scale PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Scale PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Scale LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Scale PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Scale GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Scale PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Scale LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Scale PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Scale PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Scale LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Scale PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Scale PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Scale LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Scale PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Scale GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Scale(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Scale GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Segmentize PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Segmentize(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Segmentize PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Segmentize LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Segmentize(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Segmentize LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Segmentize PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Segmentize(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Segmentize PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Segmentize PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Segmentize(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Segmentize PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Segmentize LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Segmentize(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Segmentize LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Segmentize PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Segmentize(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Segmentize PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Segmentize PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Segmentize(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Segmentize PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Segmentize LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Segmentize(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Segmentize LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Segmentize PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Segmentize(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Segmentize PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Segmentize GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Segmentize(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Segmentize GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_SetPoint PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetPoint(foo1.the_geom, 5, foo1.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetPoint PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SetPoint LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetPoint(foo1.the_geom, 5, foo1.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetPoint LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SetPoint PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetPoint(foo1.the_geom, 5, foo1.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetPoint PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SetPoint PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetPoint(foo1.the_geom, 5, foo1.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetPoint PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_SetPoint LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetPoint(foo1.the_geom, 5, foo1.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetPoint LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_SetPoint PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetPoint(foo1.the_geom, 5, foo1.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetPoint PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_SetPoint PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetPoint(foo1.the_geom, 5, foo1.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetPoint PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SetPoint LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetPoint(foo1.the_geom, 5, foo1.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetPoint LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SetPoint PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetPoint(foo1.the_geom, 5, foo1.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetPoint PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SetPoint GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetPoint(foo1.the_geom, 5, foo1.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetPoint GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_SetSRID PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetSRID(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetSRID PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SetSRID LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetSRID(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetSRID LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SetSRID PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetSRID(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetSRID PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SetSRID PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetSRID(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetSRID PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_SetSRID LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetSRID(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetSRID LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_SetSRID PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetSRID(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetSRID PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_SetSRID PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetSRID(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetSRID PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SetSRID LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetSRID(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetSRID LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SetSRID PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetSRID(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetSRID PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SetSRID GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SetSRID(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SetSRID GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Shift_Longitude PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Shift_Longitude(the_geom)),
	ST_AsEWKT(ST_Shift_Longitude(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Shift_Longitude PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Shift_Longitude LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Shift_Longitude(the_geom)),
	ST_AsEWKT(ST_Shift_Longitude(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Shift_Longitude LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Shift_Longitude PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Shift_Longitude(the_geom)),
	ST_AsEWKT(ST_Shift_Longitude(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Shift_Longitude PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Shift_Longitude PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Shift_Longitude(the_geom)),
	ST_AsEWKT(ST_Shift_Longitude(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Shift_Longitude PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Shift_Longitude LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Shift_Longitude(the_geom)),
	ST_AsEWKT(ST_Shift_Longitude(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Shift_Longitude LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Shift_Longitude PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Shift_Longitude(the_geom)),
	ST_AsEWKT(ST_Shift_Longitude(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Shift_Longitude PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Shift_Longitude PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Shift_Longitude(the_geom)),
	ST_AsEWKT(ST_Shift_Longitude(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Shift_Longitude PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Shift_Longitude LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Shift_Longitude(the_geom)),
	ST_AsEWKT(ST_Shift_Longitude(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Shift_Longitude LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Shift_Longitude PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Shift_Longitude(the_geom)),
	ST_AsEWKT(ST_Shift_Longitude(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Shift_Longitude PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Shift_Longitude GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Shift_Longitude(the_geom)),
	ST_AsEWKT(ST_Shift_Longitude(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Shift_Longitude GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Simplify PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Simplify(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Simplify PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Simplify LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Simplify(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Simplify LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Simplify PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Simplify(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Simplify PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Simplify PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Simplify(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Simplify PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Simplify LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Simplify(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Simplify LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Simplify PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Simplify(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Simplify PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Simplify PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Simplify(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Simplify PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Simplify LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Simplify(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Simplify LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Simplify PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Simplify(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Simplify PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Simplify GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Simplify(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Simplify GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_SimplifyPreserveTopology PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SimplifyPreserveTopology(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SimplifyPreserveTopology PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SimplifyPreserveTopology LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SimplifyPreserveTopology(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SimplifyPreserveTopology LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SimplifyPreserveTopology PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SimplifyPreserveTopology(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SimplifyPreserveTopology PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SimplifyPreserveTopology PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SimplifyPreserveTopology(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SimplifyPreserveTopology PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_SimplifyPreserveTopology LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SimplifyPreserveTopology(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SimplifyPreserveTopology LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_SimplifyPreserveTopology PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SimplifyPreserveTopology(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SimplifyPreserveTopology PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_SimplifyPreserveTopology PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SimplifyPreserveTopology(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SimplifyPreserveTopology PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SimplifyPreserveTopology LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SimplifyPreserveTopology(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SimplifyPreserveTopology LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SimplifyPreserveTopology PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SimplifyPreserveTopology(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SimplifyPreserveTopology PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SimplifyPreserveTopology GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SimplifyPreserveTopology(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SimplifyPreserveTopology GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_SnapToGrid PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SnapToGrid LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SnapToGrid PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SnapToGrid PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_SnapToGrid LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_SnapToGrid PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_SnapToGrid PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SnapToGrid LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SnapToGrid PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SnapToGrid GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_SnapToGrid PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SnapToGrid LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SnapToGrid PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SnapToGrid PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_SnapToGrid LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_SnapToGrid PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_SnapToGrid PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SnapToGrid LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SnapToGrid PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SnapToGrid GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_SnapToGrid PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SnapToGrid LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SnapToGrid PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SnapToGrid PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_SnapToGrid LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_SnapToGrid PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_SnapToGrid PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SnapToGrid LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SnapToGrid PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SnapToGrid GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SnapToGrid(foo1.the_geom, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SnapToGrid GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_SRID PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_SRID(the_geom),
			ST_SRID(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_SRID PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SRID LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_SRID(the_geom),
			ST_SRID(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_SRID LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SRID PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_SRID(the_geom),
			ST_SRID(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_SRID PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SRID PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_SRID(the_geom),
			ST_SRID(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_SRID PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_SRID LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_SRID(the_geom),
			ST_SRID(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_SRID LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_SRID PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_SRID(the_geom),
			ST_SRID(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_SRID PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_SRID PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_SRID(the_geom),
			ST_SRID(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_SRID PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SRID LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_SRID(the_geom),
			ST_SRID(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_SRID LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SRID PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_SRID(the_geom),
			ST_SRID(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_SRID PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SRID GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_SRID(the_geom),
			ST_SRID(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_SRID GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_StartPoint PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_StartPoint(the_geom)),
	ST_AsEWKT(ST_StartPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_StartPoint PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_StartPoint LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_StartPoint(the_geom)),
	ST_AsEWKT(ST_StartPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_StartPoint LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_StartPoint PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_StartPoint(the_geom)),
	ST_AsEWKT(ST_StartPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_StartPoint PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_StartPoint PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_StartPoint(the_geom)),
	ST_AsEWKT(ST_StartPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_StartPoint PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_StartPoint LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_StartPoint(the_geom)),
	ST_AsEWKT(ST_StartPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_StartPoint LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_StartPoint PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_StartPoint(the_geom)),
	ST_AsEWKT(ST_StartPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_StartPoint PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_StartPoint PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_StartPoint(the_geom)),
	ST_AsEWKT(ST_StartPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_StartPoint PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_StartPoint LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_StartPoint(the_geom)),
	ST_AsEWKT(ST_StartPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_StartPoint LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_StartPoint PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_StartPoint(the_geom)),
	ST_AsEWKT(ST_StartPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_StartPoint PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_StartPoint GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_StartPoint(the_geom)),
	ST_AsEWKT(ST_StartPoint(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_StartPoint GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Summary PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Summary(the_geom),
			ST_Summary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Summary PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Summary LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Summary(the_geom),
			ST_Summary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Summary LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Summary PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Summary(the_geom),
			ST_Summary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Summary PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Summary PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Summary(the_geom),
			ST_Summary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Summary PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Summary LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Summary(the_geom),
			ST_Summary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Summary LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Summary PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Summary(the_geom),
			ST_Summary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Summary PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Summary PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Summary(the_geom),
			ST_Summary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Summary PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Summary LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Summary(the_geom),
			ST_Summary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Summary LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Summary PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Summary(the_geom),
			ST_Summary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Summary PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Summary GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Summary(the_geom),
			ST_Summary(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Summary GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_SymDifference PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SymDifference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_SymDifference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SymDifference PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SymDifference LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SymDifference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_SymDifference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SymDifference LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SymDifference PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SymDifference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_SymDifference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SymDifference PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SymDifference PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SymDifference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_SymDifference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SymDifference PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_SymDifference LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SymDifference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_SymDifference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SymDifference LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_SymDifference PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SymDifference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_SymDifference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SymDifference PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_SymDifference PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SymDifference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_SymDifference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SymDifference PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_SymDifference LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SymDifference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_SymDifference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SymDifference LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_SymDifference PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SymDifference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_SymDifference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SymDifference PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_SymDifference GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_SymDifference(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_SymDifference(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_SymDifference GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Touches PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Touches(foo1.the_geom, foo2.the_geom),
			ST_Touches(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Touches PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Touches LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Touches(foo1.the_geom, foo2.the_geom),
			ST_Touches(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Touches LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Touches PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Touches(foo1.the_geom, foo2.the_geom),
			ST_Touches(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Touches PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Touches PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Touches(foo1.the_geom, foo2.the_geom),
			ST_Touches(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Touches PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Touches LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Touches(foo1.the_geom, foo2.the_geom),
			ST_Touches(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Touches LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Touches PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Touches(foo1.the_geom, foo2.the_geom),
			ST_Touches(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Touches PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Touches PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Touches(foo1.the_geom, foo2.the_geom),
			ST_Touches(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Touches PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Touches LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Touches(foo1.the_geom, foo2.the_geom),
			ST_Touches(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Touches LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Touches PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Touches(foo1.the_geom, foo2.the_geom),
			ST_Touches(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Touches PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Touches GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Touches(foo1.the_geom, foo2.the_geom),
			ST_Touches(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Touches GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Transform PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Transform(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Transform PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Transform LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Transform(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Transform LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Transform PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Transform(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Transform PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Transform PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Transform(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Transform PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Transform LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Transform(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Transform LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Transform PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Transform(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Transform PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Transform PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Transform(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Transform PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Transform LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Transform(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Transform LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Transform PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Transform(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Transform PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Transform GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Transform(foo1.the_geom, 4269))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Transform GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Translate PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Translate LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Translate PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Translate PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Translate LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Translate PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Translate PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Translate LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Translate PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Translate GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Translate PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Translate LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Translate PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Translate PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Translate LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Translate PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Translate PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Translate LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Translate PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Translate GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Translate(foo1.the_geom, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Translate GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_TransScale PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_TransScale(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_TransScale PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_TransScale LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_TransScale(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_TransScale LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_TransScale PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_TransScale(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_TransScale PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_TransScale PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_TransScale(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_TransScale PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_TransScale LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_TransScale(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_TransScale LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_TransScale PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_TransScale(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_TransScale PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_TransScale PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_TransScale(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_TransScale PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_TransScale LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_TransScale(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_TransScale LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_TransScale PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_TransScale(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_TransScale PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_TransScale GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_TransScale(foo1.the_geom, 0.5, 0.5, 0.5, 0.5))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_TransScale GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Union PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Union PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Union LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Union LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Union PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Union PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Union PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Union PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Union LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Union LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Union PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Union PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Union PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Union PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Union LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Union LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Union PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Union PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Union GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Union GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Union PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Union PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Union LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Union LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Union PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Union PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Union PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Union PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Union LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Union LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Union PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Union PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Union PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Union PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Union LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Union LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Union PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Union PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Union GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_AsEWKT(ST_Union(foo1.the_geom, foo2.the_geom)),
	ST_AsEWKT(ST_Union(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom)))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Union GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Within PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Within(foo1.the_geom, foo2.the_geom),
			ST_Within(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Within PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Within LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Within(foo1.the_geom, foo2.the_geom),
			ST_Within(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Within LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Within PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Within(foo1.the_geom, foo2.the_geom),
			ST_Within(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Within PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Within PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Within(foo1.the_geom, foo2.the_geom),
			ST_Within(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Within PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Within LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Within(foo1.the_geom, foo2.the_geom),
			ST_Within(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Within LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Within PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Within(foo1.the_geom, foo2.the_geom),
			ST_Within(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Within PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Within PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Within(foo1.the_geom, foo2.the_geom),
			ST_Within(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Within PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Within LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Within(foo1.the_geom, foo2.the_geom),
			ST_Within(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Within LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Within PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Within(foo1.the_geom, foo2.the_geom),
			ST_Within(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Within PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Within GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Within(foo1.the_geom, foo2.the_geom),
			ST_Within(ST_Multi(foo1.the_geom), ST_Multi(foo2.the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'ST_Within GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_X PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_X(the_geom),
			ST_X(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_X PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_X LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_X(the_geom),
			ST_X(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_X LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_X PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_X(the_geom),
			ST_X(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_X PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_X PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_X(the_geom),
			ST_X(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_X PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_X LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_X(the_geom),
			ST_X(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_X LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_X PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_X(the_geom),
			ST_X(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_X PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_X PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_X(the_geom),
			ST_X(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_X PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_X LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_X(the_geom),
			ST_X(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_X LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_X PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_X(the_geom),
			ST_X(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_X PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_X GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_X(the_geom),
			ST_X(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_X GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_XMax PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_XMax(the_geom),
			ST_XMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_XMax PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_XMax LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_XMax(the_geom),
			ST_XMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_XMax LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_XMax PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_XMax(the_geom),
			ST_XMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_XMax PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_XMax PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_XMax(the_geom),
			ST_XMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_XMax PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_XMax LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_XMax(the_geom),
			ST_XMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_XMax LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_XMax PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_XMax(the_geom),
			ST_XMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_XMax PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_XMax PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_XMax(the_geom),
			ST_XMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_XMax PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_XMax LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_XMax(the_geom),
			ST_XMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_XMax LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_XMax PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_XMax(the_geom),
			ST_XMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_XMax PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_XMax GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_XMax(the_geom),
			ST_XMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_XMax GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_XMin PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_XMin(the_geom),
			ST_XMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_XMin PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_XMin LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_XMin(the_geom),
			ST_XMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_XMin LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_XMin PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_XMin(the_geom),
			ST_XMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_XMin PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_XMin PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_XMin(the_geom),
			ST_XMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_XMin PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_XMin LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_XMin(the_geom),
			ST_XMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_XMin LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_XMin PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_XMin(the_geom),
			ST_XMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_XMin PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_XMin PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_XMin(the_geom),
			ST_XMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_XMin PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_XMin LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_XMin(the_geom),
			ST_XMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_XMin LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_XMin PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_XMin(the_geom),
			ST_XMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_XMin PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_XMin GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_XMin(the_geom),
			ST_XMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_XMin GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Y PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Y(the_geom),
			ST_Y(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Y PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Y LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Y(the_geom),
			ST_Y(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Y LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Y PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Y(the_geom),
			ST_Y(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Y PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Y PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Y(the_geom),
			ST_Y(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Y PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Y LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Y(the_geom),
			ST_Y(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Y LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Y PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Y(the_geom),
			ST_Y(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Y PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Y PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Y(the_geom),
			ST_Y(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Y PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Y LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Y(the_geom),
			ST_Y(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Y LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Y PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Y(the_geom),
			ST_Y(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Y PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Y GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Y(the_geom),
			ST_Y(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Y GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_YMax PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_YMax(the_geom),
			ST_YMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_YMax PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_YMax LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_YMax(the_geom),
			ST_YMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_YMax LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_YMax PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_YMax(the_geom),
			ST_YMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_YMax PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_YMax PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_YMax(the_geom),
			ST_YMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_YMax PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_YMax LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_YMax(the_geom),
			ST_YMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_YMax LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_YMax PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_YMax(the_geom),
			ST_YMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_YMax PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_YMax PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_YMax(the_geom),
			ST_YMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_YMax PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_YMax LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_YMax(the_geom),
			ST_YMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_YMax LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_YMax PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_YMax(the_geom),
			ST_YMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_YMax PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_YMax GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_YMax(the_geom),
			ST_YMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_YMax GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_YMin PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_YMin(the_geom),
			ST_YMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_YMin PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_YMin LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_YMin(the_geom),
			ST_YMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_YMin LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_YMin PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_YMin(the_geom),
			ST_YMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_YMin PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_YMin PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_YMin(the_geom),
			ST_YMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_YMin PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_YMin LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_YMin(the_geom),
			ST_YMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_YMin LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_YMin PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_YMin(the_geom),
			ST_YMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_YMin PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_YMin PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_YMin(the_geom),
			ST_YMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_YMin PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_YMin LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_YMin(the_geom),
			ST_YMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_YMin LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_YMin PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_YMin(the_geom),
			ST_YMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_YMin PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_YMin GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_YMin(the_geom),
			ST_YMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_YMin GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_Z PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Z(the_geom),
			ST_Z(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_Z PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Z LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Z(the_geom),
			ST_Z(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Z LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Z PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Z(the_geom),
			ST_Z(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_Z PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Z PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_Z(the_geom),
			ST_Z(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Z PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_Z LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_Z(the_geom),
			ST_Z(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_Z LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_Z PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_Z(the_geom),
			ST_Z(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_Z PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_Z PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_Z(the_geom),
			ST_Z(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Z PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_Z LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_Z(the_geom),
			ST_Z(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_Z LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_Z PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_Z(the_geom),
			ST_Z(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_Z PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_Z GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_Z(the_geom),
			ST_Z(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_Z GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_ZMax PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_ZMax(the_geom),
			ST_ZMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_ZMax PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_ZMax LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_ZMax(the_geom),
			ST_ZMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_ZMax LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_ZMax PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_ZMax(the_geom),
			ST_ZMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_ZMax PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_ZMax PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_ZMax(the_geom),
			ST_ZMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_ZMax PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_ZMax LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_ZMax(the_geom),
			ST_ZMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_ZMax LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_ZMax PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_ZMax(the_geom),
			ST_ZMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_ZMax PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_ZMax PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_ZMax(the_geom),
			ST_ZMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_ZMax PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_ZMax LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_ZMax(the_geom),
			ST_ZMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_ZMax LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_ZMax PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_ZMax(the_geom),
			ST_ZMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_ZMax PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_ZMax GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_ZMax(the_geom),
			ST_ZMax(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_ZMax GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'ST_ZMin PointSet: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_ZMin(the_geom),
			ST_ZMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo;  
COMMIT;
SELECT 'ST_ZMin PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'ST_ZMin LineSet: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_ZMin(the_geom),
			ST_ZMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_ZMin LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_ZMin PolySet: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_ZMin(the_geom),
			ST_ZMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo;  
COMMIT;
SELECT 'ST_ZMin PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_ZMin PointMSet: Start Testing Multi/POINTM'; 
BEGIN; 
		
SELECT ST_ZMin(the_geom),
			ST_ZMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_ZMin PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'ST_ZMin LineMSet: Start Testing Multi/LINESTRINGM'; 
BEGIN; 
		
SELECT ST_ZMin(the_geom),
			ST_ZMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo;  
COMMIT;
SELECT 'ST_ZMin LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'ST_ZMin PolygonMSet: Start Testing Multi/POLYGONM'; 
BEGIN; 
		
SELECT ST_ZMin(the_geom),
			ST_ZMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo;  
COMMIT;
SELECT 'ST_ZMin PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'ST_ZMin PointSet3D: Start Testing Multi/POINT'; 
BEGIN; 
		
SELECT ST_ZMin(the_geom),
			ST_ZMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_ZMin PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'ST_ZMin LineSet3D: Start Testing Multi/LINESTRING'; 
BEGIN; 
		
SELECT ST_ZMin(the_geom),
			ST_ZMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo;  
COMMIT;
SELECT 'ST_ZMin LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'ST_ZMin PolygonSet3D: Start Testing Multi/POLYGON'; 
BEGIN; 
		
SELECT ST_ZMin(the_geom),
			ST_ZMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo;  
COMMIT;
SELECT 'ST_ZMin PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'ST_ZMin GCSet3D: Start Testing Multi/GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT ST_ZMin(the_geom),
			ST_ZMin(ST_Multi(the_geom))
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo;  
COMMIT;
SELECT 'ST_ZMin GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'UpdateGeometrySRID PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'UpdateGeometrySRID LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 4269)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'UpdateGeometrySRID PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 4269)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'UpdateGeometrySRID PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'UpdateGeometrySRID LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 4269)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'UpdateGeometrySRID PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 4269)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'UpdateGeometrySRID PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'UpdateGeometrySRID LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'UpdateGeometrySRID PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'UpdateGeometrySRID GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 4269)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'UpdateGeometrySRID PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'UpdateGeometrySRID LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'UpdateGeometrySRID PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'UpdateGeometrySRID PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'UpdateGeometrySRID LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'UpdateGeometrySRID PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'UpdateGeometrySRID PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'UpdateGeometrySRID LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'UpdateGeometrySRID PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'UpdateGeometrySRID GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	
SELECT 'UpdateGeometrySRID PointSet: Start Testing POINT'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_Point(i,j),4326) As the_geom 
		FROM generate_series(-10,50,15) As i 
			CROSS JOIN generate_series(40,70, 15) j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PointSet: End Testing Multi/POINT';
	
	
	
SELECT 'UpdateGeometrySRID LineSet: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_Point(i,j),4326),ST_SetSRID(ST_Point(j,i),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 15) As j
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID LineSet: End Testing Multi/LINESTRING';
	
	
	
SELECT 'UpdateGeometrySRID PolySet: Start Testing POLYGON'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo1 CROSS JOIN ((SELECT ST_Buffer(ST_SetSRID(ST_Point(i,j),4326), j)  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(40,70, 20) As j)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PolySet: End Testing Multi/POLYGON';
	
	
	
SELECT 'UpdateGeometrySRID PointMSet: Start Testing POINTM'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePointM(i,j,m),4326) As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) AS j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PointMSet: End Testing Multi/POINTM';
	
	
	
SELECT 'UpdateGeometrySRID LineMSet: Start Testing LINESTRINGM'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo1 CROSS JOIN ((SELECT ST_MakeLine(ST_SetSRID(ST_MakePointM(i,j,m),4326),ST_SetSRID(ST_MakePointM(j,i,m),4326))  As the_geom 
		FROM generate_series(-10,50,10) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			WHERE NOT(i = j))) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID LineMSet: End Testing Multi/LINESTRINGM';
	
	
	
SELECT 'UpdateGeometrySRID PolygonMSet: Start Testing POLYGONM'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo1 CROSS JOIN ((SELECT ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_SetSRID(ST_MakePointM(i+m,j,m),4326),ST_SetSRID(ST_MakePointM(j+m,i-m,m),4326)),ST_SetSRID(ST_MakePointM(i,j,m),4326)),ST_SetSRID(ST_MakePointM(i+m,j,m),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PolygonMSet: End Testing Multi/POLYGONM';
	
	
	
SELECT 'UpdateGeometrySRID PointSet3D: Start Testing POINT'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePoint(i,j,k),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PointSet3D: End Testing Multi/POINT';
	
	
	
SELECT 'UpdateGeometrySRID LineSet3D: Start Testing LINESTRING'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakeLine(ST_MakePoint(i,j,k), ST_MakePoint(i+k,j+k,k)),4326) As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(40,70, 20) j
			CROSS JOIN generate_series(1,2) k
			)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID LineSet3D: End Testing Multi/LINESTRING';
	
	
	
SELECT 'UpdateGeometrySRID PolygonSet3D: Start Testing POLYGON'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo1 CROSS JOIN ((SELECT ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID PolygonSet3D: End Testing Multi/POLYGON';
	
	
	
SELECT 'UpdateGeometrySRID GCSet3D: Start Testing GEOMETRYCOLLECTION'; 
BEGIN; 
		
SELECT UpdateGeometrySRID('test', 'test', 'test', 'test', 4269)
		  
		FROM ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo1 CROSS JOIN ((SELECT ST_Collect(ST_Collect(ST_SetSRID(ST_MakePoint(i,j,m),4326),ST_SetSRID(ST_MakePolygon(ST_AddPoint(ST_AddPoint(ST_MakeLine(ST_MakePoint(i+m,j,m),ST_MakePoint(j+m,i-m,m)),ST_MakePoint(i,j,m)),ST_MakePointM(i+m,j,m))),4326)))  As the_geom 
		FROM generate_series(-10,50,20) As i 
			CROSS JOIN generate_series(50,70, 20) As j
			CROSS JOIN generate_series(1,2) As m
			GROUP BY m)) As foo2
		LIMIT 5;  
COMMIT;
SELECT 'UpdateGeometrySRID GCSet3D: End Testing Multi/GEOMETRYCOLLECTION';
	
	
	